(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    194086,       6036]
NotebookOptionsPosition[    191800,       5952]
NotebookOutlinePosition[    192178,       5969]
CellTagsIndexPosition[    192135,       5966]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
Exploring the tensor notation in \"Modelling the Similarity of Pitch \
Collections with Expectation Tensors\" by Milne, Sethares, Laney, and Sharp \
(part 2)\
\>", "Section",
 CellChangeTimes->{{3.508159563411943*^9, 3.508159626325371*^9}, {
   3.508159680047318*^9, 3.508159699336697*^9}, 3.515786946798915*^9}],

Cell[CellGroupData[{

Cell[" (9) in the 2D case is correct for d=2 and any q", "Section",
 CellChangeTimes->{{3.495887458986906*^9, 3.495887491076907*^9}, {
  3.4967014950664587`*^9, 3.496701508769535*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"d", "=", "2"}], ";", " ", 
  RowBox[{"q", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"m", "[", 
      RowBox[{"i", ",", "j"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "q"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"onesd", " ", "=", " ", 
    RowBox[{"ConstantArray", "[", 
     RowBox[{"1", ",", "d"}], "]"}]}], ";", " ", 
   RowBox[{"onesq", " ", "=", " ", 
    RowBox[{"ConstantArray", "[", 
     RowBox[{"1", ",", "q"}], "]"}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eyeSkew", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"1", "-", 
      RowBox[{"Boole", "[", 
       RowBox[{"(", 
        RowBox[{"i", "\[Equal]", "j"}], ")"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "d"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zeroOne", " ", "=", " ", 
   RowBox[{"Transpose", "[", 
    RowBox[{
     RowBox[{"Outer", "[", 
      RowBox[{"Times", ",", " ", "eyeSkew", ",", "onesq", ",", "onesq"}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3", ",", "2", ",", "4"}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.495819707089645*^9, 3.495819737266644*^9}, {
   3.4967011179548883`*^9, 3.4967012316889753`*^9}, {3.496701264193676*^9, 
   3.496701272864517*^9}, {3.496701305227172*^9, 3.496701306784582*^9}, {
   3.49670140917426*^9, 3.496701473726118*^9}, {3.496701513204845*^9, 
   3.496701520743178*^9}, 3.496701641559293*^9, {3.4967019550660477`*^9, 
   3.4967019566579227`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", "x", "]"}]], "Input",
 CellChangeTimes->{{3.495819740967795*^9, 3.4958197442584143`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"m", "[", 
       RowBox[{"1", ",", "1"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"1", ",", "2"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"1", ",", "3"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"1", ",", "4"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"1", ",", "5"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"1", ",", "6"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"1", ",", "7"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"1", ",", "8"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"1", ",", "9"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"1", ",", "10"}], "]"}]},
     {
      RowBox[{"m", "[", 
       RowBox[{"2", ",", "1"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"2", ",", "2"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"2", ",", "3"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"2", ",", "4"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"2", ",", "5"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"2", ",", "6"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"2", ",", "7"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"2", ",", "8"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"2", ",", "9"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"2", ",", "10"}], "]"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.495819745007292*^9, 3.4958829777512283`*^9, 3.4958841426264687`*^9, 
   3.495888689499476*^9, 3.495892300040193*^9, 3.495892333064183*^9, 
   3.495966299963039*^9, 3.495966713941079*^9, 3.4967012357119217`*^9, {
   3.496701440966528*^9, 3.4967014752004633`*^9}, {3.496701514586473*^9, 
   3.496701522826098*^9}, 3.496701571032501*^9, {3.4967016276408167`*^9, 
   3.4967016743708477`*^9}, 3.49670189061613*^9, 3.496701957663272*^9, 
   3.496702003984228*^9, 3.496702049982566*^9, 3.496702102306286*^9, 
   3.497097997542234*^9, 3.497101904128162*^9, 3.4971174232381487`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Inner", "[", 
   RowBox[{"Times", ",", " ", 
    RowBox[{"Inner", "[", 
     RowBox[{"Times", ",", 
      RowBox[{"Transpose", "[", 
       RowBox[{
        RowBox[{"zeroOne", " ", 
         RowBox[{"Outer", "[", 
          RowBox[{"Times", ",", "x", ",", "x"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"4", ",", "2", ",", "3", ",", "1"}], "}"}]}], "]"}], ",", 
      "onesd", ",", "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], "]"}], "//",
   "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.495821873311069*^9, 3.495821889330179*^9}, {
  3.4958841079447727`*^9, 3.495884111039916*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "1"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "1"}], "]"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "2"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "2"}], "]"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "3"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "3"}], "]"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "4"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "4"}], "]"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "5"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "5"}], "]"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "6"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "6"}], "]"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "7"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "7"}], "]"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "8"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "8"}], "]"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "9"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "9"}], "]"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "10"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "10"}], "]"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.4958218900573473`*^9, 3.4958841121658382`*^9, 3.495884143420504*^9, 
   3.495888690263707*^9, 3.495892301248958*^9, 3.495892334013311*^9, 
   3.495966301305297*^9, 3.495966715478815*^9, 3.4967013539570312`*^9, 
   3.496701422276814*^9, {3.496701458162281*^9, 3.496701475264732*^9}, {
   3.49670151468757*^9, 3.49670152290799*^9}, 3.4967015711404343`*^9, {
   3.496701627737213*^9, 3.496701674467039*^9}, 3.496701890761342*^9, 
   3.496701957767449*^9, 3.4967020040576897`*^9, 3.4967020501101313`*^9, 
   3.496702102407379*^9, 3.497097997658814*^9, 3.4971174233551617`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"onesd", ".", 
        RowBox[{"x", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "i"}], "]"}], "]"}]}], " ", 
       RowBox[{"onesd", ".", 
        RowBox[{"x", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "j"}], "]"}], "]"}]}]}], "-", 
      RowBox[{
       RowBox[{"x", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "i"}], "]"}], "]"}], ".", 
       RowBox[{"x", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "j"}], "]"}], "]"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "q"}], "}"}]}], "]"}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.495830226370496*^9, 3.4958303697174463`*^9}, {
  3.495830406263164*^9, 3.495830462533581*^9}, {3.495831110071294*^9, 
  3.495831139941292*^9}, {3.4958312850884*^9, 3.495831286151291*^9}, {
  3.495883676628067*^9, 3.4958836840974913`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "1"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "1"}], "]"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "2"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "2"}], "]"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "3"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "3"}], "]"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "4"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "4"}], "]"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "5"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "5"}], "]"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "6"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "6"}], "]"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "7"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "7"}], "]"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "8"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "8"}], "]"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "9"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "9"}], "]"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"m", "[", 
        RowBox[{"1", ",", "10"}], "]"}], " ", 
       RowBox[{"m", "[", 
        RowBox[{"2", ",", "10"}], "]"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.495830372656273*^9, {3.495830409823522*^9, 3.495830421650976*^9}, {
   3.4958304531418257`*^9, 3.495830463234045*^9}, {3.4958311119555883`*^9, 
   3.495831140691114*^9}, 3.495831286873734*^9, 3.4958836850959063`*^9, 
   3.49588414348499*^9, 3.495888690329796*^9, 3.495892301339731*^9, 
   3.49589233407058*^9, 3.495966301682925*^9, 3.4959667155769653`*^9, 
   3.496701361629414*^9, 3.496701422450857*^9, {3.496701458197947*^9, 
   3.4967014755701857`*^9}, {3.496701515604454*^9, 3.496701523025415*^9}, 
   3.496701571294138*^9, {3.49670162783768*^9, 3.496701674566931*^9}, 
   3.496701890851706*^9, 3.496701957866951*^9, 3.4967020041446667`*^9, 
   3.496702050226136*^9, 3.496702102483982*^9, 3.49709799789132*^9, 
   3.497117423996616*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" (9) in the 2D case for d=3...", "Section",
 CellChangeTimes->{{3.496701545211537*^9, 3.4967015547050877`*^9}, 
   3.496701965582646*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"d", "=", "3"}], ";", " ", 
  RowBox[{"q", "=", "4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"m", "[", 
      RowBox[{"i", ",", "j"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "q"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"onesd", " ", "=", " ", 
    RowBox[{"ConstantArray", "[", 
     RowBox[{"1", ",", "d"}], "]"}]}], ";", " ", 
   RowBox[{"onesq", " ", "=", " ", 
    RowBox[{"ConstantArray", "[", 
     RowBox[{"1", ",", "q"}], "]"}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{"eyeSkew", " ", "=", " ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"1", "-", 
     RowBox[{"Boole", "[", 
      RowBox[{"(", 
       RowBox[{"i", "\[Equal]", "j"}], ")"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "d"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "d"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zeroOne", " ", "=", " ", 
   RowBox[{"Transpose", "[", 
    RowBox[{
     RowBox[{"Outer", "[", 
      RowBox[{"Times", ",", " ", "eyeSkew", ",", "onesq", ",", "onesq"}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3", ",", "2", ",", "4"}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.495819707089645*^9, 3.495819737266644*^9}, {
  3.4967011179548883`*^9, 3.4967012316889753`*^9}, {3.496701264193676*^9, 
  3.496701272864517*^9}, {3.496701305227172*^9, 3.496701306784582*^9}, {
  3.49670140917426*^9, 3.496701473726118*^9}, {3.496701513204845*^9, 
  3.496701520743178*^9}, {3.4967015654312077`*^9, 3.4967015686130533`*^9}, {
  3.496701622150934*^9, 3.496701625196594*^9}, {3.496701665640071*^9, 
  3.4967016733359337`*^9}, {3.496701876801169*^9, 3.4967018835038633`*^9}, {
  3.496701937850234*^9, 3.4967019381860027`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.496701886581676*^9, 3.496701890936925*^9}, {
   3.4967019389730797`*^9, 3.496701957951768*^9}, 3.49670200421632*^9, 
   3.49670205033473*^9, 3.496702102558737*^9, 3.497097998001258*^9, 
   3.497117424112719*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", "x", "]"}]], "Input",
 CellChangeTimes->{{3.495819740967795*^9, 3.4958197442584143`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"m", "[", 
       RowBox[{"1", ",", "1"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"1", ",", "2"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"1", ",", "3"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"1", ",", "4"}], "]"}]},
     {
      RowBox[{"m", "[", 
       RowBox[{"2", ",", "1"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"2", ",", "2"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"2", ",", "3"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"2", ",", "4"}], "]"}]},
     {
      RowBox[{"m", "[", 
       RowBox[{"3", ",", "1"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"3", ",", "2"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"3", ",", "3"}], "]"}], 
      RowBox[{"m", "[", 
       RowBox[{"3", ",", "4"}], "]"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.495819745007292*^9, 3.4958829777512283`*^9, 3.4958841426264687`*^9, 
   3.495888689499476*^9, 3.495892300040193*^9, 3.495892333064183*^9, 
   3.495966299963039*^9, 3.495966713941079*^9, 3.4967012357119217`*^9, {
   3.496701440966528*^9, 3.4967014752004633`*^9}, {3.496701514586473*^9, 
   3.496701522826098*^9}, 3.496701571408442*^9, {3.496701627949524*^9, 
   3.4967016746785927`*^9}, 3.4967018910211*^9, 3.496701958036131*^9, 
   3.4967020042843523`*^9, 3.496702050433846*^9, 3.496702102625269*^9, 
   3.49709799812646*^9, 3.497117424342819*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Inner", "[", 
    RowBox[{"Times", ",", " ", 
     RowBox[{"Inner", "[", 
      RowBox[{"Times", ",", 
       RowBox[{"Transpose", "[", 
        RowBox[{
         RowBox[{"zeroOne", " ", 
          RowBox[{"Outer", "[", 
           RowBox[{"Times", ",", "x", ",", "x"}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "2", ",", "3", ",", "1"}], "}"}]}], "]"}], ",", 
       "onesd", ",", "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], "]"}], 
   "]"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.495821873311069*^9, 3.495821889330179*^9}, {
  3.4958841079447727`*^9, 3.495884111039916*^9}, {3.496701921184102*^9, 
  3.496701929287792*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}], " ", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"m", "[", 
             RowBox[{"2", ",", "1"}], "]"}], "+", 
            RowBox[{"m", "[", 
             RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}]}], ")"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "2"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "3"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "4"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "2"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "2"}], "]"}], " ", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "2"}], "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"m", "[", 
             RowBox[{"2", ",", "2"}], "]"}], "+", 
            RowBox[{"m", "[", 
             RowBox[{"3", ",", "2"}], "]"}]}], ")"}]}]}], ")"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "2"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "3"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "2"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "4"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "3"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "2"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "3"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "3"}], "]"}], " ", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "3"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "3"}], "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"m", "[", 
             RowBox[{"2", ",", "3"}], "]"}], "+", 
            RowBox[{"m", "[", 
             RowBox[{"3", ",", "3"}], "]"}]}], ")"}]}]}], ")"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "3"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "3"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "3"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "3"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "3"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "3"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "4"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "2"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "3"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "3"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "3"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "3"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "3"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "3"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "4"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "4"}], "]"}], " ", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "4"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "4"}], "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"m", "[", 
             RowBox[{"2", ",", "4"}], "]"}], "+", 
            RowBox[{"m", "[", 
             RowBox[{"3", ",", "4"}], "]"}]}], ")"}]}]}], ")"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.4958218900573473`*^9, 3.4958841121658382`*^9, 3.495884143420504*^9, 
   3.495888690263707*^9, 3.495892301248958*^9, 3.495892334013311*^9, 
   3.495966301305297*^9, 3.495966715478815*^9, 3.4967013539570312`*^9, 
   3.496701422276814*^9, {3.496701458162281*^9, 3.496701475264732*^9}, {
   3.49670151468757*^9, 3.49670152290799*^9}, 3.496701571502666*^9, {
   3.496701628042687*^9, 3.4967016747718983`*^9}, 3.496701891109108*^9, {
   3.496701929731819*^9, 3.496701958123601*^9}, 3.4967020043547077`*^9, 
   3.496702050536477*^9, 3.496702102694639*^9, 3.497097998383106*^9, 
   3.497117424647582*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"onesd", ".", 
        RowBox[{"x", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "i"}], "]"}], "]"}]}], " ", 
       RowBox[{"onesd", ".", 
        RowBox[{"x", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "j"}], "]"}], "]"}]}]}], "-", 
      RowBox[{
       RowBox[{"x", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "i"}], "]"}], "]"}], ".", 
       RowBox[{"x", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "j"}], "]"}], "]"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "q"}], "}"}]}], "]"}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.495830226370496*^9, 3.4958303697174463`*^9}, {
  3.495830406263164*^9, 3.495830462533581*^9}, {3.495831110071294*^9, 
  3.495831139941292*^9}, {3.4958312850884*^9, 3.495831286151291*^9}, {
  3.495883676628067*^9, 3.4958836840974913`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}], " ", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"m", "[", 
             RowBox[{"2", ",", "1"}], "]"}], "+", 
            RowBox[{"m", "[", 
             RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}]}], ")"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "2"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "3"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "4"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "2"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "2"}], "]"}], " ", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "2"}], "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"m", "[", 
             RowBox[{"2", ",", "2"}], "]"}], "+", 
            RowBox[{"m", "[", 
             RowBox[{"3", ",", "2"}], "]"}]}], ")"}]}]}], ")"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "2"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "3"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "2"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "4"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "3"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "2"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "3"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "3"}], "]"}], " ", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "3"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "3"}], "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"m", "[", 
             RowBox[{"2", ",", "3"}], "]"}], "+", 
            RowBox[{"m", "[", 
             RowBox[{"3", ",", "3"}], "]"}]}], ")"}]}]}], ")"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "3"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "3"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "3"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "3"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "3"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "3"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "4"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "1"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "1"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "2"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "2"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "3"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "3"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "3"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "3"}], "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "3"}], "]"}], "+", 
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "3"}], "]"}]}], ")"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"3", ",", "4"}], "]"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"2", ",", "4"}], "]"}], " ", 
          RowBox[{"m", "[", 
           RowBox[{"3", ",", "4"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"1", ",", "4"}], "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"m", "[", 
             RowBox[{"2", ",", "4"}], "]"}], "+", 
            RowBox[{"m", "[", 
             RowBox[{"3", ",", "4"}], "]"}]}], ")"}]}]}], ")"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.495830372656273*^9, {3.495830409823522*^9, 3.495830421650976*^9}, {
   3.4958304531418257`*^9, 3.495830463234045*^9}, {3.4958311119555883`*^9, 
   3.495831140691114*^9}, 3.495831286873734*^9, 3.4958836850959063`*^9, 
   3.49588414348499*^9, 3.495888690329796*^9, 3.495892301339731*^9, 
   3.49589233407058*^9, 3.495966301682925*^9, 3.4959667155769653`*^9, 
   3.496701361629414*^9, 3.496701422450857*^9, {3.496701458197947*^9, 
   3.4967014755701857`*^9}, {3.496701515604454*^9, 3.496701523025415*^9}, 
   3.49670157161203*^9, {3.496701628124639*^9, 3.496701674853364*^9}, 
   3.4967018912181263`*^9, 3.496701958230894*^9, 3.496702004421165*^9, 
   3.496702050636108*^9, 3.49670210284334*^9, 3.497097998708733*^9, 
   3.4971174248309393`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" (9) in the 2D case ", "Section",
 CellChangeTimes->{{3.496701545211537*^9, 3.4967015547050877`*^9}, {
  3.496701965582646*^9, 3.4967019920415707`*^9}, {3.496702343139727*^9, 
  3.496702344601128*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"d", "=", "4"}], ";", " ", 
  RowBox[{"q", "=", "12"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"m", "[", 
      RowBox[{"i", ",", "j"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "q"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "1", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"onesd", " ", "=", " ", 
    RowBox[{"ConstantArray", "[", 
     RowBox[{"1", ",", "d"}], "]"}]}], ";", " ", 
   RowBox[{"onesq", " ", "=", " ", 
    RowBox[{"ConstantArray", "[", 
     RowBox[{"1", ",", "q"}], "]"}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{"eyeSkew", " ", "=", " ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"1", "-", 
     RowBox[{"Boole", "[", 
      RowBox[{"(", 
       RowBox[{"i", "\[Equal]", "j"}], ")"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "d"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "d"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zeroOne", " ", "=", " ", 
   RowBox[{"Transpose", "[", 
    RowBox[{
     RowBox[{"Outer", "[", 
      RowBox[{"Times", ",", " ", "eyeSkew", ",", "onesq", ",", "onesq"}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3", ",", "2", ",", "4"}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.495819707089645*^9, 3.495819737266644*^9}, {
  3.4967011179548883`*^9, 3.4967012316889753`*^9}, {3.496701264193676*^9, 
  3.496701272864517*^9}, {3.496701305227172*^9, 3.496701306784582*^9}, {
  3.49670140917426*^9, 3.496701473726118*^9}, {3.496701513204845*^9, 
  3.496701520743178*^9}, {3.4967015654312077`*^9, 3.4967015686130533`*^9}, {
  3.496701622150934*^9, 3.496701625196594*^9}, {3.496701665640071*^9, 
  3.4967016733359337`*^9}, {3.496701876801169*^9, 3.4967018835038633`*^9}, {
  3.496701937850234*^9, 3.4967019381860027`*^9}, {3.49670199538727*^9, 
  3.4967019983611383`*^9}, {3.4967020473967943`*^9, 3.496702047561502*^9}, {
  3.496702084452774*^9, 3.496702098421796*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.496701886581676*^9, 3.496701890936925*^9}, {
   3.4967019389730797`*^9, 3.496701957951768*^9}, 3.496702004482211*^9, 
   3.496702050758298*^9, 3.496702102986787*^9, 3.4970979988325853`*^9, 
   3.4971174249624043`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", "x", "]"}]], "Input",
 CellChangeTimes->{{3.495819740967795*^9, 3.4958197442584143`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.495819745007292*^9, 3.4958829777512283`*^9, 3.4958841426264687`*^9, 
   3.495888689499476*^9, 3.495892300040193*^9, 3.495892333064183*^9, 
   3.495966299963039*^9, 3.495966713941079*^9, 3.4967012357119217`*^9, {
   3.496701440966528*^9, 3.4967014752004633`*^9}, {3.496701514586473*^9, 
   3.496701522826098*^9}, 3.496701571408442*^9, {3.496701627949524*^9, 
   3.4967016746785927`*^9}, 3.4967018910211*^9, 3.496701958036131*^9, 
   3.49670200455135*^9, 3.4967020508808393`*^9, 3.496702103103313*^9, 
   3.497097998952662*^9, 3.497117425075139*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Inner", "[", 
    RowBox[{"Times", ",", " ", 
     RowBox[{"Inner", "[", 
      RowBox[{"Times", ",", 
       RowBox[{"Transpose", "[", 
        RowBox[{
         RowBox[{"zeroOne", " ", 
          RowBox[{"Outer", "[", 
           RowBox[{"Times", ",", "x", ",", "x"}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "2", ",", "3", ",", "1"}], "}"}]}], "]"}], ",", 
       "onesd", ",", "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], "]"}], 
   "]"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.495821873311069*^9, 3.495821889330179*^9}, {
  3.4958841079447727`*^9, 3.495884111039916*^9}, {3.496701921184102*^9, 
  3.496701929287792*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "2", "0", "0", "0", "1", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"2", "0", "0", "2", "0", "0", "0", "2", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"1", "0", "0", "2", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.4958218900573473`*^9, 3.4958841121658382`*^9, 3.495884143420504*^9, 
   3.495888690263707*^9, 3.495892301248958*^9, 3.495892334013311*^9, 
   3.495966301305297*^9, 3.495966715478815*^9, 3.4967013539570312`*^9, 
   3.496701422276814*^9, {3.496701458162281*^9, 3.496701475264732*^9}, {
   3.49670151468757*^9, 3.49670152290799*^9}, 3.496701571502666*^9, {
   3.496701628042687*^9, 3.4967016747718983`*^9}, 3.496701891109108*^9, {
   3.496701929731819*^9, 3.496701958123601*^9}, 3.496702014976872*^9, 
   3.496702051155829*^9, 3.496702103213134*^9, 3.497097999045809*^9, 
   3.497117425274275*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"onesd", ".", 
        RowBox[{"x", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "i"}], "]"}], "]"}]}], " ", 
       RowBox[{"onesd", ".", 
        RowBox[{"x", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "j"}], "]"}], "]"}]}]}], "-", 
      RowBox[{
       RowBox[{"x", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "i"}], "]"}], "]"}], ".", 
       RowBox[{"x", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "j"}], "]"}], "]"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "q"}], "}"}]}], "]"}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.495830226370496*^9, 3.4958303697174463`*^9}, {
  3.495830406263164*^9, 3.495830462533581*^9}, {3.495831110071294*^9, 
  3.495831139941292*^9}, {3.4958312850884*^9, 3.495831286151291*^9}, {
  3.495883676628067*^9, 3.4958836840974913`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "2", "0", "0", "0", "1", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"2", "0", "0", "2", "0", "0", "0", "2", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"1", "0", "0", "2", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.495830372656273*^9, {3.495830409823522*^9, 3.495830421650976*^9}, {
   3.4958304531418257`*^9, 3.495830463234045*^9}, {3.4958311119555883`*^9, 
   3.495831140691114*^9}, 3.495831286873734*^9, 3.4958836850959063`*^9, 
   3.49588414348499*^9, 3.495888690329796*^9, 3.495892301339731*^9, 
   3.49589233407058*^9, 3.495966301682925*^9, 3.4959667155769653`*^9, 
   3.496701361629414*^9, 3.496701422450857*^9, {3.496701458197947*^9, 
   3.4967014755701857`*^9}, {3.496701515604454*^9, 3.496701523025415*^9}, 
   3.49670157161203*^9, {3.496701628124639*^9, 3.496701674853364*^9}, 
   3.4967018912181263`*^9, 3.496701958230894*^9, 3.496702016489382*^9, 
   3.4967020512758417`*^9, 3.496702103417213*^9, 3.4970979991344213`*^9, 
   3.4971174253611794`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["check khatri-rao product", "Section",
 CellChangeTimes->{{3.497102611257989*^9, 3.497102617440598*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Inner", "[", 
    RowBox[{"Times", ",", 
     RowBox[{"Outer", "[", 
      RowBox[{"Times", ",", 
       RowBox[{"Transpose", "[", "x", "]"}], ",", 
       RowBox[{"Transpose", "[", "x", "]"}], ",", "1"}], "]"}], ",", "onesd", 
     ",", "Plus"}], "]"}], "]"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.497101787036251*^9, 3.497101935387135*^9}, {
  3.497102051654963*^9, 3.497102055284854*^9}, {3.497102120615767*^9, 
  3.4971021393493767`*^9}, {3.4971021863204107`*^9, 3.497102194934782*^9}, {
  3.497102285410304*^9, 3.497102317440608*^9}, {3.497102414721491*^9, 
  3.4971024441204243`*^9}, {3.497117493614718*^9, 3.497117500068068*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], "2"]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], "2"]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], "2"]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], "2"]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], "2"]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}], "2"]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}], "2"]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}], "2"]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}], "2"]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}], "2"]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.497101814856793*^9, 3.49710193583775*^9}, 
   3.497102057274889*^9, 3.4971021397233047`*^9, {3.497102187074768*^9, 
   3.4971021952180653`*^9}, {3.497102291909857*^9, 3.497102319118251*^9}, {
   3.497102415321725*^9, 3.497102445952929*^9}, {3.49711742544368*^9, 
   3.4971174415596237`*^9}, 3.497117500674914*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"Transpose", "[", "x", "]"}], ".", "x"}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.497102150813673*^9, 3.497102160044607*^9}, {
  3.497102336769068*^9, 3.497102340598672*^9}, {3.4971174519422283`*^9, 
  3.49711747940342*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], "2"]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], "2"]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], "2"]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], "2"]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], "2"]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}], "2"]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}], "2"]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}], "2"]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}], "2"]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "1"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "2"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "3"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "4"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "5"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "6"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "7"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "8"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "9"}], "]"}], " ", 
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"1", ",", "10"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"m", "[", 
         RowBox[{"2", ",", "10"}], "]"}], "2"]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.497102154158972*^9, 3.497102160980592*^9}, 
   3.4971023409795713`*^9, 3.497117425504781*^9, {3.497117458793674*^9, 
   3.497117479895317*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dimensions", "[", "onesd", "]"}]], "Input",
 CellChangeTimes->{{3.497102394074443*^9, 3.497102398735731*^9}}],

Cell[BoxData[
 RowBox[{"{", "4", "}"}]], "Output",
 CellChangeTimes->{3.497102399161865*^9, 3.497117425571711*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1422, 1155},
WindowMargins->{{5, Automatic}, {0, Automatic}},
ShowSelection->True,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 23, \
2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 322, 6, 89, "Section"],
Cell[CellGroupData[{
Cell[892, 30, 184, 2, 37, "Section"],
Cell[1079, 34, 1863, 51, 88, "Input"],
Cell[CellGroupData[{
Cell[2967, 89, 131, 2, 27, "Input"],
Cell[3101, 93, 2465, 66, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5603, 164, 635, 16, 27, "Input"],
Cell[6241, 182, 33876, 1074, 173, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40154, 1261, 1082, 30, 27, "Input"],
Cell[41239, 1293, 34044, 1077, 173, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[75332, 2376, 143, 2, 67, "Section"],
Cell[CellGroupData[{
Cell[75500, 2382, 2004, 52, 88, "Input"],
Cell[77507, 2436, 494, 12, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78038, 2453, 131, 2, 27, "Input"],
Cell[78172, 2457, 1924, 51, 61, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80133, 2513, 736, 18, 27, "Input"],
Cell[80872, 2533, 14276, 433, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[95185, 2971, 1082, 30, 27, "Input"],
Cell[96270, 3003, 14422, 435, 77, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[110741, 3444, 207, 3, 67, "Section"],
Cell[CellGroupData[{
Cell[110973, 3451, 2964, 75, 103, "Input"],
Cell[113940, 3528, 609, 14, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[114586, 3547, 131, 2, 27, "Input"],
Cell[114720, 3551, 1391, 28, 89, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[116148, 3584, 736, 18, 27, "Input"],
Cell[116887, 3604, 1974, 37, 217, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[118898, 3646, 1082, 30, 27, "Input"],
Cell[119983, 3678, 2127, 39, 217, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[122159, 3723, 109, 1, 67, "Section"],
Cell[CellGroupData[{
Cell[122293, 3728, 721, 14, 27, "Input"],
Cell[123017, 3744, 34135, 1090, 215, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[157189, 4839, 328, 8, 27, "Input"],
Cell[157520, 4849, 33965, 1088, 215, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[191522, 5942, 133, 2, 27, "Input"],
Cell[191658, 5946, 114, 2, 27, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
