(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     98522,       2867]
NotebookOptionsPosition[     92177,       2653]
NotebookOutlinePosition[     92555,       2670]
CellTagsIndexPosition[     92512,       2667]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
Exploring the tensor notation in \"Modelling the Similarity of Pitch \
Collections with Expectation Tensors\" by 
Milne, Sethares, Laney, and Sharp (part 4)\
\>", "Section",
 CellChangeTimes->{{3.508159563411943*^9, 3.508159626325371*^9}, {
   3.508159680047318*^9, 3.5081596824635153`*^9}, {3.508159760942547*^9, 
   3.5081597643559103`*^9}, 3.515786963261444*^9}],

Cell[CellGroupData[{

Cell["The 4D case...", "Section",
 CellChangeTimes->{{3.49600226643088*^9, 3.496002271483747*^9}, {
   3.4960034555360937`*^9, 3.496003456495624*^9}, 3.496004058952518*^9, 
   3.4961666886991177`*^9, 3.496793930282013*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"x", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "x11", ",", " ", "x12", ",", " ", "x13", ",", "x14", ",", " ", "x15"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x21", ",", "x22", ",", "x23", ",", "x24", ",", " ", "x25"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x31", ",", "x32", ",", "x33", ",", "x34", ",", " ", "x35"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x41", ",", "x42", ",", "x43", ",", "x44", ",", " ", "x45"}], 
      "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.496002241417048*^9, 3.4960022520136757`*^9}, {
   3.496003764660865*^9, 3.496003775045528*^9}, {3.496003911181525*^9, 
   3.496003922479123*^9}, {3.4960040640962276`*^9, 3.496004105273074*^9}, {
   3.4967748796065207`*^9, 3.4967748797081842`*^9}, 3.4967939302825203`*^9, 
   3.497271035159951*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", "x", "]"}]], "Input",
 CellChangeTimes->{{3.495887500856098*^9, 3.495887503711598*^9}, {
   3.495893414815596*^9, 3.4958934152132063`*^9}, 3.4960041117129297`*^9, {
   3.4967748833391333`*^9, 3.496774883490703*^9}, 3.496793930284737*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"x11", "x12", "x13", "x14", "x15"},
     {"x21", "x22", "x23", "x24", "x25"},
     {"x31", "x32", "x33", "x34", "x35"},
     {"x41", "x42", "x43", "x44", "x45"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.497271046078105*^9, 3.4972710495139713`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"dimd", ",", "q"}], "}"}], "=", 
    RowBox[{"Dimensions", "[", "x", "]"}]}], ";", " ", 
   RowBox[{"onesd", " ", "=", " ", 
    RowBox[{"ConstantArray", "[", 
     RowBox[{"1", ",", "dimd"}], "]"}]}], ";", " ", 
   RowBox[{"onesq", " ", "=", " ", 
    RowBox[{"ConstantArray", "[", 
     RowBox[{"1", ",", "q"}], "]"}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"onesqq", " ", "=", " ", 
   RowBox[{"ConstantArray", "[", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"q", ",", "q"}], "}"}]}], "]"}]}], ";", " ", 
  RowBox[{"onesqqq", " ", "=", " ", 
   RowBox[{"ConstantArray", "[", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"q", ",", "q", ",", "q"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"onesqqqq", " ", "=", " ", 
   RowBox[{"ConstantArray", "[", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"q", ",", "q", ",", "q", ",", "q"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eyedd", " ", "=", " ", 
   RowBox[{"IdentityMatrix", "[", "dimd", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eyeddd", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Boole", "[", 
      RowBox[{
       RowBox[{"i1", "\[Equal]", "i2"}], "&&", 
       RowBox[{"i2", "\[Equal]", "i3"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i1", ",", "1", ",", "dimd"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i2", ",", "1", ",", "dimd"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i3", ",", "1", ",", "dimd"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eyedddd", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Boole", "[", 
      RowBox[{
       RowBox[{"i1", "\[Equal]", "i2"}], "&&", 
       RowBox[{"i2", "\[Equal]", "i3"}], "&&", 
       RowBox[{"i3", "\[Equal]", "i4"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i1", ",", "1", ",", "dimd"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i2", ",", "1", ",", "dimd"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i3", ",", "1", ",", "dimd"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i4", ",", "1", ",", "dimd"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"eyeSwap", " ", "=", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"1", "-", 
       RowBox[{"Boole", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"i1", "\[Equal]", "i2"}], ")"}], "||", 
         RowBox[{"(", 
          RowBox[{"i1", "\[Equal]", "i3"}], ")"}], "||", 
         RowBox[{"(", 
          RowBox[{"i1", "\[Equal]", "i4"}], ")"}], "||", 
         RowBox[{"(", 
          RowBox[{"i2", "\[Equal]", "i3"}], ")"}], "||", 
         RowBox[{"(", 
          RowBox[{"i2", "\[Equal]", "i4"}], ")"}], "||", 
         RowBox[{"(", 
          RowBox[{"i3", "\[Equal]", "i4"}], ")"}]}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i1", ",", "1", ",", "dimd"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i2", ",", "1", ",", "dimd"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i3", ",", "1", ",", "dimd"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i4", ",", "1", ",", "dimd"}], "}"}]}], "]"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"an", " ", "awkward"}], ",", " ", 
    RowBox[{"direct", " ", "definition"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eyeSwap", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"Signature", "[", 
       RowBox[{"{", 
        RowBox[{"i1", ",", "i2", ",", "i3", ",", "i4"}], "}"}], "]"}], "]"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"i1", ",", "1", ",", "dimd"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i2", ",", "1", ",", "dimd"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i3", ",", "1", ",", "dimd"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i4", ",", "1", ",", "dimd"}], "}"}]}], "]"}]}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zeroOnes", " ", "=", " ", 
   RowBox[{"Outer", "[", 
    RowBox[{"Times", ",", "onesqqqq", ",", "eyeSwap"}], "]"}]}], ";", 
  RowBox[{"Dimensions", "[", "zeroOnes", "]"}]}]}], "Input",
 CellChangeTimes->{{3.495903881772839*^9, 3.4959038843875647`*^9}, {
   3.4960023039196577`*^9, 3.4960023532158127`*^9}, {3.496003487925974*^9, 
   3.496003495634309*^9}, {3.496004118157453*^9, 3.496004225365028*^9}, {
   3.4961674652046328`*^9, 3.496167486317684*^9}, {3.496239703711485*^9, 
   3.496239775917007*^9}, {3.496256494806631*^9, 3.496256550917716*^9}, {
   3.496256583119134*^9, 3.496256620502673*^9}, {3.496256863675015*^9, 
   3.496256865865396*^9}, 3.496257352934355*^9, {3.496774887312344*^9, 
   3.496774887464116*^9}, 3.496793930287994*^9, {3.496924229392613*^9, 
   3.49692427334345*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "5", ",", "5", ",", "5", ",", "5", ",", "4", ",", "4", ",", "4", ",", "4"}],
   "}"}]], "Output",
 CellChangeTimes->{{3.4972710680119762`*^9, 3.497271072054038*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dimensions", "[", 
  RowBox[{"Transpose", "[", 
   RowBox[{
    RowBox[{"Outer", "[", 
     RowBox[{"Times", ",", "x", ",", "x", ",", "x", ",", "x"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "5", ",", "1", ",", "6", ",", "2", ",", "7", ",", "3", ",", "8", ",", 
      "4"}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{
  3.4960035132200127`*^9, 3.496003755651321*^9, {3.496004236426629*^9, 
   3.496004260225729*^9}, {3.4960043027088842`*^9, 3.496004313683069*^9}, {
   3.49677490220382*^9, 3.496774908740203*^9}, {3.4967750231896973`*^9, 
   3.496775027076951*^9}, 3.4967939302899647`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "5", ",", "5", ",", "5", ",", "5", ",", "4", ",", "4", ",", "4", ",", "4"}],
   "}"}]], "Output",
 CellChangeTimes->{3.4972710795381107`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"xe4", " ", "=", 
   RowBox[{"FullSimplify", "[", " ", 
    RowBox[{"Inner", "[", 
     RowBox[{"Times", ",", 
      RowBox[{"Inner", "[", 
       RowBox[{"Times", ",", 
        RowBox[{"Inner", "[", 
         RowBox[{"Times", ",", 
          RowBox[{"Inner", "[", 
           RowBox[{"Times", ",", 
            RowBox[{"zeroOnes", " ", 
             RowBox[{"Transpose", "[", 
              RowBox[{
               RowBox[{"Outer", "[", 
                RowBox[{"Times", ",", "x", ",", "x", ",", "x", ",", "x"}], 
                "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                "5", ",", "1", ",", "6", ",", "2", ",", "7", ",", "3", ",", 
                 "8", ",", "4"}], "}"}]}], "]"}]}], ",", "onesd", ",", 
            "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], "]"}], ",", "onesd",
         ",", "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.496003544782659*^9, {3.496004345575642*^9, 3.496004369148439*^9}, 
   3.496004420054207*^9, {3.496004472624511*^9, 3.496004497622212*^9}, {
   3.4967749174859123`*^9, 3.49677492478862*^9}, {3.49677504128724*^9, 
   3.496775046558259*^9}, 3.496793930292061*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "i_", "]"}], ":=", 
   RowBox[{"x", "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "i"}], "]"}], "]"}]}], ";", 
  RowBox[{
   RowBox[{"b", "[", "i_", "]"}], ":=", 
   RowBox[{"x", "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "i"}], "]"}], "]"}]}], ";", 
  RowBox[{
   RowBox[{"c", "[", "i_", "]"}], ":=", 
   RowBox[{"x", "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "i"}], "]"}], "]"}]}], ";", 
  RowBox[{
   RowBox[{"d", "[", "i_", "]"}], ":=", 
   RowBox[{"x", "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "i"}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{3.496793930293108*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"xeDirect", " ", "=", " ", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"a", "[", "i1", "]"}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"b", "[", "i2", "]"}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"c", "[", "i3", "]"}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"d", "[", "i4", "]"}]}], ")"}]}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"a", "[", "i1", "]"}], ".", 
          RowBox[{"b", "[", "i2", "]"}]}], ")"}], "  ", 
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"c", "[", "i3", "]"}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"d", "[", "i4", "]"}]}], ")"}]}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"a", "[", "i1", "]"}], ".", 
          RowBox[{"c", "[", "i3", "]"}]}], ")"}], "  ", 
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"b", "[", "i2", "]"}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"d", "[", "i4", "]"}]}], ")"}]}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"a", "[", "i1", "]"}], ".", 
          RowBox[{"d", "[", "i4", "]"}]}], ")"}], "  ", 
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"b", "[", "i2", "]"}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"c", "[", "i3", "]"}]}], ")"}]}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"b", "[", "i2", "]"}], ".", 
          RowBox[{"c", "[", "i3", "]"}]}], ")"}], "  ", 
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"a", "[", "i1", "]"}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"d", "[", "i4", "]"}]}], ")"}]}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"b", "[", "i2", "]"}], ".", 
          RowBox[{"d", "[", "i4", "]"}]}], ")"}], "  ", 
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"a", "[", "i1", "]"}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"c", "[", "i3", "]"}]}], ")"}]}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"c", "[", "i3", "]"}], ".", 
          RowBox[{"d", "[", "i4", "]"}]}], ")"}], "  ", 
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"a", "[", "i1", "]"}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"b", "[", "i2", "]"}]}], ")"}]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"onesd", ".", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"a", "[", "i1", "]"}], " ", 
           RowBox[{"b", "[", "i2", "]"}], " ", 
           RowBox[{"c", "[", "i3", "]"}]}], ")"}]}], " ", 
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"d", "[", "i4", "]"}]}], ")"}]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"onesd", ".", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"a", "[", "i1", "]"}], " ", 
           RowBox[{"b", "[", "i2", "]"}], " ", 
           RowBox[{"d", "[", "i4", "]"}]}], ")"}]}], " ", 
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"c", "[", "i3", "]"}]}], ")"}]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"onesd", ".", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"a", "[", "i1", "]"}], " ", 
           RowBox[{"c", "[", "i3", "]"}], " ", 
           RowBox[{"d", "[", "i4", "]"}]}], ")"}]}], " ", 
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"b", "[", "i2", "]"}]}], ")"}]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"onesd", ".", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"b", "[", "i2", "]"}], " ", 
           RowBox[{"c", "[", "i3", "]"}], " ", 
           RowBox[{"d", "[", "i4", "]"}]}], ")"}]}], " ", 
        RowBox[{"(", 
         RowBox[{"onesd", ".", 
          RowBox[{"a", "[", "i1", "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"a", "[", "i1", "]"}], ".", 
         RowBox[{"b", "[", "i2", "]"}]}], " ", 
        RowBox[{
         RowBox[{"c", "[", "i3", "]"}], ".", 
         RowBox[{"d", "[", "i4", "]"}]}]}], " ", "+", 
       RowBox[{
        RowBox[{
         RowBox[{"a", "[", "i1", "]"}], ".", 
         RowBox[{"c", "[", "i3", "]"}]}], " ", 
        RowBox[{
         RowBox[{"b", "[", "i2", "]"}], ".", 
         RowBox[{"d", "[", "i4", "]"}]}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"a", "[", "i1", "]"}], ".", 
         RowBox[{"d", "[", "i4", "]"}]}], " ", 
        RowBox[{
         RowBox[{"b", "[", "i2", "]"}], ".", 
         RowBox[{"c", "[", "i3", "]"}]}]}], "-", " ", 
       RowBox[{"6", " ", 
        RowBox[{"onesd", ".", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"a", "[", "i1", "]"}], " ", 
           RowBox[{"b", "[", "i2", "]"}], " ", 
           RowBox[{"c", "[", "i3", "]"}], " ", 
           RowBox[{"d", "[", "i4", "]"}]}], ")"}]}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i1", ",", "1", ",", "q"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i2", ",", "1", ",", "q"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i3", ",", "1", ",", "q"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i4", ",", "1", ",", "q"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{3.496793930295446*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"xe4", "\[Equal]", "xeDirect"}]], "Input",
 CellChangeTimes->{{3.496774956106469*^9, 3.496774964315432*^9}, 
   3.496793930296327*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.497271107549473*^9, 3.497271111202166*^9}}]
}, Open  ]],

Cell["\<\
Now for the same calculation, term by term... Here's the type 1 subspaces, \
calculated two ways. First, directly from the formula 1'A 1'B 1'C 1'D.\
\>", "Text",
 CellChangeTimes->{{3.496166716836047*^9, 3.496166723696732*^9}, {
   3.496774993523682*^9, 3.496774993731144*^9}, 3.496793930297928*^9, 
   3.496794190370756*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"type1", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"a", "[", "i1", "]"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"b", "[", "i2", "]"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"c", "[", "i3", "]"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"d", "[", "i4", "]"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i1", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i2", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i3", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i4", ",", "1", ",", "q"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.496226726091935*^9, 3.4962267638304577`*^9}, {
   3.496226946696424*^9, 3.4962269480070457`*^9}, 3.496793930298319*^9}],

Cell["As an example, here's a typical term", "Text",
 CellChangeTimes->{{3.496227558604734*^9, 3.496227610203019*^9}, 
   3.496793930299039*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"type1", "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.4962269054797792`*^9, 3.4962269114001007`*^9}, {
   3.4962269527212152`*^9, 3.496226953726379*^9}, 3.496793930299239*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"x11", "+", "x21", "+", "x31", "+", "x41"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x12", "+", "x22", "+", "x32", "+", "x42"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x13", "+", "x23", "+", "x33", "+", "x43"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x14", "+", "x24", "+", "x34", "+", "x44"}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.496226911799646*^9, 3.496226954678822*^9, 
  3.496239657491643*^9, 3.496243438067634*^9, 3.496243481742073*^9, 
  3.496252705696011*^9, 3.496256765986897*^9, 3.496258532335143*^9, 
  3.49625856617035*^9, 3.4963356326449347`*^9, 3.496335681732317*^9, 
  3.496775192965506*^9, 3.496793240477005*^9, 3.4967939303001127`*^9, 
  3.496794079886409*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"type1Sub", " ", "=", " ", 
   RowBox[{"Outer", "[", 
    RowBox[{"Times", ",", 
     RowBox[{
      RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}], ",", 
     RowBox[{
      RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}], ",", 
     RowBox[{
      RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}], ",", 
     RowBox[{
      RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.4962271213325853`*^9, 3.4962272104203367`*^9}, 
   3.496793930301017*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dimensions", "[", "type1Sub", "]"}]], "Input",
 CellChangeTimes->{{3.496228201660101*^9, 3.4962282082263823`*^9}, 
   3.4967939303017893`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"5", ",", "5", ",", "5", ",", "5"}], "}"}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.496228208642899*^9, 3.4962396575737677`*^9, 
  3.4962434381505947`*^9, 3.4962434818081636`*^9, 3.49625270577943*^9, 
  3.4962567660840397`*^9, 3.4962585324345417`*^9, 3.4962585662662497`*^9, 
  3.496335632727728*^9, 3.496335681831276*^9, 3.49677519309791*^9, 
  3.496793240577188*^9, 3.496793930302568*^9, 3.4967940799848413`*^9}]
}, Open  ]],

Cell["Here's the same typical element... they are the same", "Text",
 CellChangeTimes->{{3.496227558604734*^9, 3.496227634971402*^9}, {
   3.496227680646319*^9, 3.4962276925801353`*^9}, 3.496793930303296*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"type1Sub", "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.496227697494104*^9, 3.4962277063686237`*^9}, 
   3.496793930303487*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"x11", "+", "x21", "+", "x31", "+", "x41"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x12", "+", "x22", "+", "x32", "+", "x42"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x13", "+", "x23", "+", "x33", "+", "x43"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x14", "+", "x24", "+", "x34", "+", "x44"}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.4962277067398577`*^9, 3.496239657631975*^9, 
  3.496243438216969*^9, 3.496243481875808*^9, 3.496252705837372*^9, 
  3.496256766158684*^9, 3.496258532510477*^9, 3.4962585663421803`*^9, 
  3.496335632802994*^9, 3.496335681906909*^9, 3.496775193150495*^9, 
  3.496793240651738*^9, 3.49679393030435*^9, 3.496794080059967*^9}]
}, Open  ]],

Cell["\<\
Verify equality of the two ways of caulculating type 1 terms:\
\>", "Text",
 CellChangeTimes->{{3.496227558604734*^9, 3.496227634971402*^9}, {
   3.496227680646319*^9, 3.49622773134832*^9}, {3.49622845348775*^9, 
   3.496228465974811*^9}, 3.496793930305125*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"type1", "\[Equal]", "type1Sub"}]], "Input",
 CellChangeTimes->{{3.496227503702105*^9, 3.4962275136115828`*^9}, 
   3.496793930305297*^9}],

Cell[BoxData["True"], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.496227514619605*^9, 3.4962396576917753`*^9, 
  3.496243438283132*^9, 3.496243481942411*^9, 3.496252706044997*^9, 
  3.4962567662255993`*^9, 3.496258532584302*^9, 3.496258566408*^9, 
  3.49633563296808*^9, 3.4963356819972057`*^9, 3.496775193221794*^9, 
  3.4967932407186728`*^9, 3.4967939303060427`*^9, 3.496794080126652*^9}]
}, Open  ]],

Cell["Now for type 2 terms: first the old way", "Text",
 CellChangeTimes->{{3.496227558604734*^9, 3.496227634971402*^9}, {
   3.496227680646319*^9, 3.49622773134832*^9}, {3.49622845348775*^9, 
   3.496228492230204*^9}, 3.4967939303067827`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"type2ABCD", "=", "  ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"a", "[", "i1", "]"}], ".", 
        RowBox[{"b", "[", "i2", "]"}]}], ")"}], "  ", 
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"c", "[", "i3", "]"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"d", "[", "i4", "]"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i1", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i2", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i3", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i4", ",", "1", ",", "q"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"type2ACBD", "=", "  ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"a", "[", "i1", "]"}], ".", 
        RowBox[{"c", "[", "i3", "]"}]}], ")"}], "  ", 
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"b", "[", "i2", "]"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"d", "[", "i4", "]"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i1", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i2", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i3", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i4", ",", "1", ",", "q"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"type2ADBC", "=", "  ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"a", "[", "i1", "]"}], ".", 
        RowBox[{"d", "[", "i4", "]"}]}], ")"}], "  ", 
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"b", "[", "i2", "]"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"c", "[", "i3", "]"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i1", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i2", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i3", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i4", ",", "1", ",", "q"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"type2BCAD", "=", "  ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"b", "[", "i2", "]"}], ".", 
        RowBox[{"c", "[", "i3", "]"}]}], ")"}], "  ", 
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"a", "[", "i1", "]"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"d", "[", "i4", "]"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i1", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i2", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i3", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i4", ",", "1", ",", "q"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"type2BDAC", "=", "  ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"b", "[", "i2", "]"}], ".", 
        RowBox[{"d", "[", "i4", "]"}]}], ")"}], "  ", 
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"a", "[", "i1", "]"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"c", "[", "i3", "]"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i1", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i2", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i3", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i4", ",", "1", ",", "q"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"type2CDAB", "=", "  ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"c", "[", "i3", "]"}], ".", 
        RowBox[{"d", "[", "i4", "]"}]}], ")"}], "  ", 
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"a", "[", "i1", "]"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"b", "[", "i2", "]"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i1", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i2", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i3", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i4", ",", "1", ",", "q"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.4962269333682947`*^9, 3.496226961917779*^9}, {
   3.496228246351759*^9, 3.496228416063339*^9}, {3.496258099731182*^9, 
   3.4962581029365473`*^9}, 3.496793930308103*^9}],

Cell["Now the new way", "Text",
 CellChangeTimes->{{3.496227558604734*^9, 3.496227634971402*^9}, {
   3.496227680646319*^9, 3.49622773134832*^9}, {3.49622845348775*^9, 
   3.496228492230204*^9}, {3.496244419727697*^9, 3.496244422686632*^9}, 
   3.496793930308792*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"type2Sub", " ", "=", " ", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{"Transpose", "[", 
     RowBox[{
      RowBox[{"Outer", "[", 
       RowBox[{"Times", ",", 
        RowBox[{
         RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}], ",", 
        RowBox[{
         RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}], ",", 
        RowBox[{"Inner", "[", 
         RowBox[{"Times", ",", 
          RowBox[{"Inner", "[", 
           RowBox[{"Times", ",", 
            RowBox[{
             RowBox[{"Outer", "[", 
              RowBox[{"Times", ",", "onesqq", ",", "eyedd"}], "]"}], " ", 
             RowBox[{"Transpose", "[", 
              RowBox[{
               RowBox[{"Outer", "[", 
                RowBox[{"Times", ",", "x", ",", "x"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "}"}]}], "]"}]}],
             ",", "onesd", ",", "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], 
         "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.496228633396484*^9, 3.496228634993314*^9}, {
   3.496239999765101*^9, 3.496240084013794*^9}, {3.496240421778448*^9, 
   3.4962404301204453`*^9}, {3.496241309094741*^9, 3.49624136007404*^9}, {
   3.4962414859647818`*^9, 3.496241487516061*^9}, {3.496241562342453*^9, 
   3.4962415930790033`*^9}, {3.496241681310305*^9, 3.496241732605813*^9}, {
   3.4962434267113533`*^9, 3.4962434286792793`*^9}, {3.496256884100851*^9, 
   3.4962568871569023`*^9}, {3.496775405833202*^9, 3.496775409473962*^9}, {
   3.4967764690726833`*^9, 3.496776505121025*^9}, 3.49679393030919*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"type2Sub", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{{3.496243514917424*^9, 3.496243524124093*^9}, {
   3.4962436143371067`*^9, 3.49624361953625*^9}, {3.496243756444193*^9, 
   3.496243778945242*^9}, {3.496244269952598*^9, 3.4962442720461063`*^9}, {
   3.4963381299355307`*^9, 3.4963381410531588`*^9}, 3.4967939303099813`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"x11", "+", "x21", "+", "x31", "+", "x41"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x12", "+", "x22", "+", "x32", "+", "x42"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x13", " ", "x14"}], "+", 
    RowBox[{"x23", " ", "x24"}], "+", 
    RowBox[{"x33", " ", "x34"}], "+", 
    RowBox[{"x43", " ", "x44"}]}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{
  3.496243524672505*^9, 3.496243619925809*^9, 3.4962436504869537`*^9, {
   3.49624376162626*^9, 3.4962437793147507`*^9}, {3.496244273346117*^9, 
   3.4962442920375223`*^9}, 3.4962527149085073`*^9, 3.496256774830921*^9, 
   3.496256893227562*^9, {3.4962581115546093`*^9, 3.496258126145042*^9}, 
   3.496258532799945*^9, 3.496258569323204*^9, 3.496335636036357*^9, 
   3.496335685190009*^9, {3.496338132834733*^9, 3.496338141710844*^9}, 
   3.496775416837181*^9, {3.4967764848004093`*^9, 3.496776509135974*^9}, 
   3.496793241041115*^9, 3.496793930310782*^9, 3.496794080283681*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"type2CDAB", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{3.496793930311599*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"x11", "+", "x21", "+", "x31", "+", "x41"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x12", "+", "x22", "+", "x32", "+", "x42"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x13", " ", "x14"}], "+", 
    RowBox[{"x23", " ", "x24"}], "+", 
    RowBox[{"x33", " ", "x34"}], "+", 
    RowBox[{"x43", " ", "x44"}]}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{
  3.496256957028386*^9, {3.496258111752372*^9, 3.496258126218507*^9}, 
   3.4962585328579597`*^9, 3.4962585694036207`*^9, 3.4963356361064577`*^9, 
   3.496335685258111*^9, {3.496775421267282*^9, 3.496775432111973*^9}, {
   3.4967764877370863`*^9, 3.496776511757639*^9}, 3.496793241099904*^9, 
   3.496793930312451*^9, 3.496794080358465*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"type2Sub2", " ", "=", " ", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{"Transpose", "[", 
     RowBox[{
      RowBox[{"Outer", "[", 
       RowBox[{"Times", ",", 
        RowBox[{
         RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}], ",", 
        RowBox[{
         RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}], ",", 
        RowBox[{"Inner", "[", 
         RowBox[{"Times", ",", 
          RowBox[{"Inner", "[", 
           RowBox[{"Times", ",", 
            RowBox[{
             RowBox[{"Outer", "[", 
              RowBox[{"Times", ",", "onesqq", ",", "eyedd"}], "]"}], " ", 
             RowBox[{"Transpose", "[", 
              RowBox[{
               RowBox[{"Outer", "[", 
                RowBox[{"Times", ",", "x", ",", "x"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "}"}]}], "]"}]}],
             ",", "onesd", ",", "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], 
         "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "3", ",", "2", ",", "4"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.496775462802816*^9, 3.496775525730287*^9}, 
   3.4967939303134813`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"type2Sub2", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{3.496775515234182*^9, 3.496793930314291*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"x11", "+", "x21", "+", "x31", "+", "x41"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x13", "+", "x23", "+", "x33", "+", "x43"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x12", " ", "x14"}], "+", 
    RowBox[{"x22", " ", "x24"}], "+", 
    RowBox[{"x32", " ", "x34"}], "+", 
    RowBox[{"x42", " ", "x44"}]}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{{3.496775515475247*^9, 3.496775531328771*^9}, 
   3.4967932411902847`*^9, 3.496793930315117*^9, 3.496794080548921*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"type2BDAC", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{3.4967939303160973`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"x11", "+", "x21", "+", "x31", "+", "x41"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x13", "+", "x23", "+", "x33", "+", "x43"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x12", " ", "x14"}], "+", 
    RowBox[{"x22", " ", "x24"}], "+", 
    RowBox[{"x32", " ", "x34"}], "+", 
    RowBox[{"x42", " ", "x44"}]}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.4967755623211803`*^9, 3.4967932412660227`*^9, 
  3.496793930316925*^9, 3.496794080607298*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"type2Sub3", " ", "=", " ", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{"Transpose", "[", 
     RowBox[{
      RowBox[{"Outer", "[", 
       RowBox[{"Times", ",", 
        RowBox[{
         RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}], ",", 
        RowBox[{
         RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}], ",", 
        RowBox[{"Inner", "[", 
         RowBox[{"Times", ",", 
          RowBox[{"Inner", "[", 
           RowBox[{"Times", ",", 
            RowBox[{
             RowBox[{"Outer", "[", 
              RowBox[{"Times", ",", "onesqq", ",", "eyedd"}], "]"}], " ", 
             RowBox[{"Transpose", "[", 
              RowBox[{
               RowBox[{"Outer", "[", 
                RowBox[{"Times", ",", "x", ",", "x"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "}"}]}], "]"}]}],
             ",", "onesd", ",", "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], 
         "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "3", ",", "1", ",", "4"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.4967755880457172`*^9, 3.496775642524843*^9}, {
   3.496793802788539*^9, 3.4967938046177673`*^9}, 3.4967939303180447`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"type2Sub3", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{3.496775627163931*^9, 3.496793930318829*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"x12", "+", "x22", "+", "x32", "+", "x42"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x13", "+", "x23", "+", "x33", "+", "x43"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x11", " ", "x14"}], "+", 
    RowBox[{"x21", " ", "x24"}], "+", 
    RowBox[{"x31", " ", "x34"}], "+", 
    RowBox[{"x41", " ", "x44"}]}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{{3.496775627808688*^9, 3.496775647281417*^9}, 
   3.496793241356307*^9, {3.496793797715082*^9, 3.496793810033634*^9}, 
   3.496793930319626*^9, 3.496794080698367*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"type2ADBC", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{3.4967939303234167`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"x12", "+", "x22", "+", "x32", "+", "x42"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x13", "+", "x23", "+", "x33", "+", "x43"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x11", " ", "x14"}], "+", 
    RowBox[{"x21", " ", "x24"}], "+", 
    RowBox[{"x31", " ", "x34"}], "+", 
    RowBox[{"x41", " ", "x44"}]}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.496775667005395*^9, 3.496793241431322*^9, 
  3.496793930324297*^9, 3.4967940807738667`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"type2Sub4", " ", "=", " ", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{"Transpose", "[", 
     RowBox[{
      RowBox[{"Outer", "[", 
       RowBox[{"Times", ",", 
        RowBox[{
         RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}], ",", 
        RowBox[{
         RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}], ",", 
        RowBox[{"Inner", "[", 
         RowBox[{"Times", ",", 
          RowBox[{"Inner", "[", 
           RowBox[{"Times", ",", 
            RowBox[{
             RowBox[{"Outer", "[", 
              RowBox[{"Times", ",", "onesqq", ",", "eyedd"}], "]"}], " ", 
             RowBox[{"Transpose", "[", 
              RowBox[{
               RowBox[{"Outer", "[", 
                RowBox[{"Times", ",", "x", ",", "x"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "}"}]}], "]"}]}],
             ",", "onesd", ",", "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], 
         "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "4", ",", "1", ",", "3"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.496776079875053*^9, 3.496776094296514*^9}, {
   3.496793830372767*^9, 3.496793832058729*^9}, 3.4967939303253183`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"type2Sub4", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{3.496776104842073*^9, 3.49679393032611*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"x12", "+", "x22", "+", "x32", "+", "x42"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x11", " ", "x13"}], "+", 
    RowBox[{"x21", " ", "x23"}], "+", 
    RowBox[{"x31", " ", "x33"}], "+", 
    RowBox[{"x41", " ", "x43"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x14", "+", "x24", "+", "x34", "+", "x44"}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.49677610505166*^9, 3.496793241522168*^9, 
  3.496793836709032*^9, 3.496793930326961*^9, 3.496794080864481*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"type2ACBD", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{3.49679393032777*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"x12", "+", "x22", "+", "x32", "+", "x42"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x11", " ", "x13"}], "+", 
    RowBox[{"x21", " ", "x23"}], "+", 
    RowBox[{"x31", " ", "x33"}], "+", 
    RowBox[{"x41", " ", "x43"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x14", "+", "x24", "+", "x34", "+", "x44"}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.49677619734863*^9, 3.496793241597988*^9, 
  3.496793930328562*^9, 3.496794080939505*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"type2Sub5", " ", "=", " ", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{"Transpose", "[", 
     RowBox[{
      RowBox[{"Outer", "[", 
       RowBox[{"Times", ",", 
        RowBox[{
         RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}], ",", 
        RowBox[{
         RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}], ",", 
        RowBox[{"Inner", "[", 
         RowBox[{"Times", ",", 
          RowBox[{"Inner", "[", 
           RowBox[{"Times", ",", 
            RowBox[{
             RowBox[{"Outer", "[", 
              RowBox[{"Times", ",", "onesqq", ",", "eyedd"}], "]"}], " ", 
             RowBox[{"Transpose", "[", 
              RowBox[{
               RowBox[{"Outer", "[", 
                RowBox[{"Times", ",", "x", ",", "x"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "}"}]}], "]"}]}],
             ",", "onesd", ",", "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], 
         "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "4", ",", "1", ",", "2"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.496776256099848*^9, 3.496776285075963*^9}, {
   3.496793846060964*^9, 3.496793847522881*^9}, 3.4967939303295918`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"type2Sub5", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{3.496776267299375*^9, 3.4967939303303757`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x11", " ", "x12"}], "+", 
    RowBox[{"x21", " ", "x22"}], "+", 
    RowBox[{"x31", " ", "x32"}], "+", 
    RowBox[{"x41", " ", "x42"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x13", "+", "x23", "+", "x33", "+", "x43"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x14", "+", "x24", "+", "x34", "+", "x44"}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.4967762885839787`*^9, 3.496793241688004*^9, 
  3.496793850653936*^9, 3.496793930331173*^9, 3.496794081031205*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"type2ABCD", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{{3.496243533264154*^9, 3.496243534286709*^9}, {
   3.496243625793769*^9, 3.496243634730031*^9}, {3.496243765346898*^9, 
   3.496243790289115*^9}, 3.496244278545732*^9, 3.496793930332036*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x11", " ", "x12"}], "+", 
    RowBox[{"x21", " ", "x22"}], "+", 
    RowBox[{"x31", " ", "x32"}], "+", 
    RowBox[{"x41", " ", "x42"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x13", "+", "x23", "+", "x33", "+", "x43"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x14", "+", "x24", "+", "x34", "+", "x44"}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{
  3.496243534831463*^9, 3.4962436506693573`*^9, {3.4962437696419373`*^9, 
   3.496243790711412*^9}, 3.496244292218739*^9, 3.4962527149842787`*^9, 
   3.496256774908572*^9, 3.49625689714554*^9, {3.496258111826309*^9, 
   3.496258126285654*^9}, 3.496258532924906*^9, 3.496258569486033*^9, 
   3.496335636173191*^9, 3.496335685322193*^9, 3.49677630194564*^9, 
   3.496793241763318*^9, 3.49679393033283*^9, 3.4967940811057158`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"type2Sub6", " ", "=", " ", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{"Transpose", "[", 
     RowBox[{
      RowBox[{"Outer", "[", 
       RowBox[{"Times", ",", 
        RowBox[{
         RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}], ",", 
        RowBox[{
         RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}], ",", 
        RowBox[{"Inner", "[", 
         RowBox[{"Times", ",", 
          RowBox[{"Inner", "[", 
           RowBox[{"Times", ",", 
            RowBox[{
             RowBox[{"Outer", "[", 
              RowBox[{"Times", ",", "onesqq", ",", "eyedd"}], "]"}], " ", 
             RowBox[{"Transpose", "[", 
              RowBox[{
               RowBox[{"Outer", "[", 
                RowBox[{"Times", ",", "x", ",", "x"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "}"}]}], "]"}]}],
             ",", "onesd", ",", "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], 
         "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "4", ",", "2", ",", "3"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.49677635865341*^9, 3.4967763793401546`*^9}, {
  3.496776414494351*^9, 3.4967764375096827`*^9}, {3.496793904477466*^9, 
  3.496793930333832*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"type2Sub6", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{3.496776370162695*^9, 3.4967939303346148`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"x11", "+", "x21", "+", "x31", "+", "x41"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x12", " ", "x13"}], "+", 
    RowBox[{"x22", " ", "x23"}], "+", 
    RowBox[{"x32", " ", "x33"}], "+", 
    RowBox[{"x42", " ", "x43"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x14", "+", "x24", "+", "x34", "+", "x44"}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{
  3.496776383852619*^9, {3.4967764217169027`*^9, 3.496776441040959*^9}, 
   3.496793241937031*^9, {3.4967939137684593`*^9, 3.496793930335423*^9}, 
   3.496794081196629*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"type2BCAD", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{{3.496243584464526*^9, 3.496243585055287*^9}, {
   3.496243629985786*^9, 3.496243638087885*^9}, {3.496243805458962*^9, 
   3.496243806441297*^9}, 3.496244283008601*^9, 3.496793930336287*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"x11", "+", "x21", "+", "x31", "+", "x41"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x12", " ", "x13"}], "+", 
    RowBox[{"x22", " ", "x23"}], "+", 
    RowBox[{"x32", " ", "x33"}], "+", 
    RowBox[{"x42", " ", "x43"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x14", "+", "x24", "+", "x34", "+", "x44"}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{
  3.496243585810335*^9, 3.496243650923759*^9, 3.49624380697943*^9, 
   3.4962442924431343`*^9, 3.4962527151839*^9, 3.496256775124372*^9, 
   3.496256905428974*^9, {3.4962581120250063`*^9, 3.496258126484632*^9}, 
   3.4962585332238903`*^9, 3.4962585697352057`*^9, 3.496335636505332*^9, 
   3.496335685525361*^9, 3.496776451234426*^9, 3.496793242012404*^9, 
   3.496793930337091*^9, 3.49679408127204*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"type3a", " ", "=", "  ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"onesd", ".", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"a", "[", "i1", "]"}], " ", 
         RowBox[{"b", "[", "i2", "]"}], " ", 
         RowBox[{"c", "[", "i3", "]"}]}], ")"}]}], " ", 
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"d", "[", "i4", "]"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i1", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i2", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i3", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i4", ",", "1", ",", "q"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"type3b", " ", "=", "  ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"onesd", ".", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"a", "[", "i1", "]"}], " ", 
         RowBox[{"b", "[", "i2", "]"}], " ", 
         RowBox[{"d", "[", "i4", "]"}]}], ")"}]}], " ", 
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"c", "[", "i3", "]"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i1", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i2", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i3", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i4", ",", "1", ",", "q"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"type3c", " ", "=", "  ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"onesd", ".", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"a", "[", "i1", "]"}], " ", 
         RowBox[{"c", "[", "i3", "]"}], " ", 
         RowBox[{"d", "[", "i4", "]"}]}], ")"}]}], " ", 
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"b", "[", "i2", "]"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i1", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i2", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i3", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i4", ",", "1", ",", "q"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"type3d", " ", "=", "  ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"onesd", ".", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"b", "[", "i2", "]"}], " ", 
         RowBox[{"c", "[", "i3", "]"}], " ", 
         RowBox[{"d", "[", "i4", "]"}]}], ")"}]}], " ", 
      RowBox[{"(", 
       RowBox[{"onesd", ".", 
        RowBox[{"a", "[", "i1", "]"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i1", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i2", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i3", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i4", ",", "1", ",", "q"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.496254994371088*^9, 3.496255066296412*^9}, {
   3.4962551191993504`*^9, 3.496255129350265*^9}, 3.4967939303413982`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"type3dSub", " ", "=", " ", 
    RowBox[{"Inner", "[", 
     RowBox[{"Times", ",", 
      RowBox[{"Inner", "[", 
       RowBox[{"Times", ",", 
        RowBox[{"Inner", "[", 
         RowBox[{"Times", ",", 
          RowBox[{"Outer", "[", 
           RowBox[{"Times", ",", 
            RowBox[{
             RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}], ",", 
            RowBox[{
             RowBox[{"Outer", "[", 
              RowBox[{"Times", ",", " ", "onesqqq", ",", " ", "eyeddd"}], 
              "]"}], " ", 
             RowBox[{"Transpose", "[", 
              RowBox[{
               RowBox[{"Outer", "[", 
                RowBox[{"Times", ",", "x", ",", "x", ",", "x"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                "4", ",", "1", ",", "5", ",", "2", ",", "6", ",", "3"}], 
                "}"}]}], "]"}]}]}], "]"}], ",", "onesd", ",", "Plus"}], "]"}],
         ",", "onesd", ",", "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], 
     "]"}]}], ";"}], " "}]], "Input",
 CellChangeTimes->{{3.49625738676296*^9, 3.496257441298335*^9}, {
   3.496257487026709*^9, 3.4962575173150578`*^9}, {3.4962576982384167`*^9, 
   3.49625773755828*^9}, {3.49625776824879*^9, 3.4962577830858183`*^9}, 
   3.4967765989774933`*^9, 3.4967939303423986`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"type3dSub", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{{3.496257554325966*^9, 3.496257561809967*^9}, 
   3.496257823590727*^9, {3.49625789254303*^9, 3.496257897757628*^9}, 
   3.496776602255105*^9, 3.4967939303431797`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"x11", "+", "x21", "+", "x31", "+", "x41"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x12", " ", "x13", " ", "x14"}], "+", 
    RowBox[{"x22", " ", "x23", " ", "x24"}], "+", 
    RowBox[{"x32", " ", "x33", " ", "x34"}], "+", 
    RowBox[{"x42", " ", "x43", " ", "x44"}]}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{
  3.496257564610312*^9, {3.4962577938930283`*^9, 3.4962578246842833`*^9}, 
   3.496257898137719*^9, 3.496258533567142*^9, 3.4962585701801777`*^9, 
   3.4963356368759127`*^9, 3.496335685895958*^9, {3.496776579934534*^9, 
   3.4967766035899076`*^9}, 3.4967932422412243`*^9, 3.496793930344018*^9, 
   3.496794081594825*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"type3d", "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.496257837742188*^9, 3.496257860262686*^9}, {
   3.496257905855022*^9, 3.49625791059962*^9}, 3.496793930344833*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"x11", "+", "x21", "+", "x31", "+", "x41"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x12", " ", "x13", " ", "x14"}], "+", 
    RowBox[{"x22", " ", "x23", " ", "x24"}], "+", 
    RowBox[{"x32", " ", "x33", " ", "x34"}], "+", 
    RowBox[{"x42", " ", "x43", " ", "x44"}]}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{{3.496257840310134*^9, 3.496257860524584*^9}, {
   3.496257906274938*^9, 3.4962579107897463`*^9}, 3.496258533638254*^9, 
   3.496258570383542*^9, 3.49633563708039*^9, 3.496335685957049*^9, {
   3.496776580008574*^9, 3.4967766074413*^9}, 3.4967932423111277`*^9, 
   3.496793930345635*^9, 3.4967940816701937`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"type3cSub", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{
      RowBox[{"Inner", "[", 
       RowBox[{"Times", ",", 
        RowBox[{"Inner", "[", 
         RowBox[{"Times", ",", 
          RowBox[{"Inner", "[", 
           RowBox[{"Times", ",", 
            RowBox[{"Outer", "[", 
             RowBox[{"Times", ",", 
              RowBox[{
               RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}], ",", 
              RowBox[{
               RowBox[{"Outer", "[", 
                RowBox[{"Times", ",", " ", "onesqqq", ",", " ", "eyeddd"}], 
                "]"}], " ", 
               RowBox[{"Transpose", "[", 
                RowBox[{
                 RowBox[{"Outer", "[", 
                  RowBox[{"Times", ",", "x", ",", "x", ",", "x"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                  "4", ",", "1", ",", "5", ",", "2", ",", "6", ",", "3"}], 
                  "}"}]}], "]"}]}]}], "]"}], ",", "onesd", ",", "Plus"}], 
           "]"}], ",", "onesd", ",", "Plus"}], "]"}], ",", "onesd", ",", 
        "Plus"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "1", ",", "3", ",", "4"}], "}"}]}], "]"}]}], ";"}], 
  " "}]], "Input",
 CellChangeTimes->{
  3.496776617785527*^9, {3.496776699144704*^9, 3.496776711824033*^9}, {
   3.496776749338018*^9, 3.4967767712486353`*^9}, 3.496776811081592*^9, {
   3.496777097309442*^9, 3.496777098261701*^9}, 3.496793930346684*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"type3cSub", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{{3.496776717533787*^9, 3.496776737950797*^9}, 
   3.496776812847898*^9, 3.496793930347487*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"x12", "+", "x22", "+", "x32", "+", "x42"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x11", " ", "x13", " ", "x14"}], "+", 
    RowBox[{"x21", " ", "x23", " ", "x24"}], "+", 
    RowBox[{"x31", " ", "x33", " ", "x34"}], "+", 
    RowBox[{"x41", " ", "x43", " ", "x44"}]}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{{3.4967767248558397`*^9, 3.496776774954582*^9}, 
   3.496776819593487*^9, 3.49677710291*^9, 3.496793242456859*^9, 
   3.4967939303483067`*^9, 3.496794081815403*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"type3c", "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.496776778571629*^9, 3.496776804697042*^9}, 
   3.496793930349115*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"x12", "+", "x22", "+", "x32", "+", "x42"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x11", " ", "x13", " ", "x14"}], "+", 
    RowBox[{"x21", " ", "x23", " ", "x24"}], "+", 
    RowBox[{"x31", " ", "x33", " ", "x34"}], "+", 
    RowBox[{"x41", " ", "x43", " ", "x44"}]}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{{3.496776784829452*^9, 3.496776822599011*^9}, 
   3.496793242509959*^9, 3.496793930349976*^9, 3.4967940818858433`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"type3bSub", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{
      RowBox[{"Inner", "[", 
       RowBox[{"Times", ",", 
        RowBox[{"Inner", "[", 
         RowBox[{"Times", ",", 
          RowBox[{"Inner", "[", 
           RowBox[{"Times", ",", 
            RowBox[{"Outer", "[", 
             RowBox[{"Times", ",", 
              RowBox[{
               RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}], ",", 
              RowBox[{
               RowBox[{"Outer", "[", 
                RowBox[{"Times", ",", " ", "onesqqq", ",", " ", "eyeddd"}], 
                "]"}], " ", 
               RowBox[{"Transpose", "[", 
                RowBox[{
                 RowBox[{"Outer", "[", 
                  RowBox[{"Times", ",", "x", ",", "x", ",", "x"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                  "4", ",", "1", ",", "5", ",", "2", ",", "6", ",", "3"}], 
                  "}"}]}], "]"}]}]}], "]"}], ",", "onesd", ",", "Plus"}], 
           "]"}], ",", "onesd", ",", "Plus"}], "]"}], ",", "onesd", ",", 
        "Plus"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "1", ",", "2", ",", "4"}], "}"}]}], "]"}]}], ";"}], 
  " "}]], "Input",
 CellChangeTimes->{
  3.4967768304769573`*^9, {3.49677686978714*^9, 3.4967768870433903`*^9}, 
   3.496776950572521*^9, {3.496777106855459*^9, 3.496777107772305*^9}, 
   3.4967939303510027`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"type3bSub", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{3.4967768606254473`*^9, 3.496776952946204*^9, 
  3.496793930351787*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"x13", "+", "x23", "+", "x33", "+", "x43"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x11", " ", "x12", " ", "x14"}], "+", 
    RowBox[{"x21", " ", "x22", " ", "x24"}], "+", 
    RowBox[{"x31", " ", "x32", " ", "x34"}], "+", 
    RowBox[{"x41", " ", "x42", " ", "x44"}]}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{{3.4967768621893578`*^9, 3.4967768918210173`*^9}, {
   3.496776956993772*^9, 3.4967769617077637`*^9}, 3.4967771110767317`*^9, 
   3.496793242656024*^9, 3.496793930352688*^9, 3.496794082027095*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"type3b", "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.496776899488482*^9, 3.496776929899941*^9}, 
   3.496793930353491*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"x13", "+", "x23", "+", "x33", "+", "x43"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x11", " ", "x12", " ", "x14"}], "+", 
    RowBox[{"x21", " ", "x22", " ", "x24"}], "+", 
    RowBox[{"x31", " ", "x32", " ", "x34"}], "+", 
    RowBox[{"x41", " ", "x42", " ", "x44"}]}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{{3.4967769081724873`*^9, 3.4967769132015257`*^9}, 
   3.496776966156466*^9, 3.4967771137167263`*^9, 3.49679324270918*^9, 
   3.49679393035429*^9, 3.496794082085524*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"type3aSub", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{
      RowBox[{"Inner", "[", 
       RowBox[{"Times", ",", 
        RowBox[{"Inner", "[", 
         RowBox[{"Times", ",", 
          RowBox[{"Inner", "[", 
           RowBox[{"Times", ",", 
            RowBox[{"Outer", "[", 
             RowBox[{"Times", ",", 
              RowBox[{
               RowBox[{"Transpose", "[", "x", "]"}], ".", "onesd"}], ",", 
              RowBox[{
               RowBox[{"Outer", "[", 
                RowBox[{"Times", ",", " ", "onesqqq", ",", " ", "eyeddd"}], 
                "]"}], " ", 
               RowBox[{"Transpose", "[", 
                RowBox[{
                 RowBox[{"Outer", "[", 
                  RowBox[{"Times", ",", "x", ",", "x", ",", "x"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                  "4", ",", "1", ",", "5", ",", "2", ",", "6", ",", "3"}], 
                  "}"}]}], "]"}]}]}], "]"}], ",", "onesd", ",", "Plus"}], 
           "]"}], ",", "onesd", ",", "Plus"}], "]"}], ",", "onesd", ",", 
        "Plus"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "1", ",", "2", ",", "3"}], "}"}]}], "]"}]}], ";"}], 
  " "}]], "Input",
 CellChangeTimes->{{3.496776974605517*^9, 3.4967769837546873`*^9}, {
   3.4967770187970343`*^9, 3.496777024173521*^9}, {3.4967770759896593`*^9, 
   3.496777084572101*^9}, 3.496793930355294*^9, {3.49679398722233*^9, 
   3.4967939903808517`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"type3aSub", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{3.496776998691827*^9, 3.496793930356133*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x11", " ", "x12", " ", "x13"}], "+", 
    RowBox[{"x21", " ", "x22", " ", "x23"}], "+", 
    RowBox[{"x31", " ", "x32", " ", "x33"}], "+", 
    RowBox[{"x41", " ", "x42", " ", "x43"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x14", "+", "x24", "+", "x34", "+", "x44"}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{{3.4967770137654257`*^9, 3.496777030134001*^9}, 
   3.496777089497115*^9, 3.496777121783478*^9, 3.496793242950509*^9, 
   3.496793930356928*^9, 3.4967939944971943`*^9, 3.496794082225399*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"type3a", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{
  3.496776938019074*^9, {3.4967770030178947`*^9, 3.4967770092255993`*^9}, 
   3.49679393035775*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x11", " ", "x12", " ", "x13"}], "+", 
    RowBox[{"x21", " ", "x22", " ", "x23"}], "+", 
    RowBox[{"x31", " ", "x32", " ", "x33"}], "+", 
    RowBox[{"x41", " ", "x42", " ", "x43"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"x14", "+", "x24", "+", "x34", "+", "x44"}], ")"}]}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.496776938251452*^9, 3.496777009631989*^9, 
  3.496777124722829*^9, 3.496793243025208*^9, 3.4967939303585463`*^9, 
  3.496794082313426*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"type4a", " ", "=", "  ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"a", "[", "i1", "]"}], ".", 
       RowBox[{"b", "[", "i2", "]"}]}], " ", 
      RowBox[{
       RowBox[{"c", "[", "i3", "]"}], ".", 
       RowBox[{"d", "[", "i4", "]"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i1", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i2", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i3", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i4", ",", "1", ",", "q"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"type4b", " ", "=", "  ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"a", "[", "i1", "]"}], ".", 
       RowBox[{"c", "[", "i3", "]"}]}], " ", 
      RowBox[{
       RowBox[{"b", "[", "i2", "]"}], ".", 
       RowBox[{"d", "[", "i4", "]"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i1", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i2", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i3", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i4", ",", "1", ",", "q"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"type4c", " ", "=", "  ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"a", "[", "i1", "]"}], ".", 
       RowBox[{"d", "[", "i4", "]"}]}], " ", 
      RowBox[{
       RowBox[{"b", "[", "i2", "]"}], ".", 
       RowBox[{"c", "[", "i3", "]"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i1", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i2", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i3", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i4", ",", "1", ",", "q"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.496254853681189*^9, 3.496254863155613*^9}, 
   3.496254977329664*^9, {3.496257979265555*^9, 3.496258009580621*^9}, 
   3.4963382608759613`*^9, 3.4967939303598957`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"type4aSub", " ", "=", 
    RowBox[{"Outer", "[", 
     RowBox[{"Times", ",", 
      RowBox[{"Inner", "[", 
       RowBox[{"Times", ",", 
        RowBox[{"Inner", "[", 
         RowBox[{"Times", ",", 
          RowBox[{
           RowBox[{"Outer", "[", 
            RowBox[{"Times", ",", "onesqq", ",", "eyedd"}], "]"}], " ", 
           RowBox[{"Transpose", "[", 
            RowBox[{
             RowBox[{"Outer", "[", 
              RowBox[{"Times", ",", "x", ",", "x"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "}"}]}], "]"}]}], 
          ",", "onesd", ",", "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], 
       "]"}], ",", 
      RowBox[{"Inner", "[", 
       RowBox[{"Times", ",", 
        RowBox[{"Inner", "[", 
         RowBox[{"Times", ",", 
          RowBox[{
           RowBox[{"Outer", "[", 
            RowBox[{"Times", ",", "onesqq", ",", "eyedd"}], "]"}], " ", 
           RowBox[{"Transpose", "[", 
            RowBox[{
             RowBox[{"Outer", "[", 
              RowBox[{"Times", ",", "x", ",", "x"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "}"}]}], "]"}]}], 
          ",", "onesd", ",", "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], 
       "]"}]}], "]"}]}], ";"}], " "}]], "Input",
 CellChangeTimes->{{3.4962579236319923`*^9, 3.496257927717917*^9}, {
   3.4962580239394836`*^9, 3.496258036752178*^9}, {3.4962582272191343`*^9, 
   3.496258234137809*^9}, 3.496258330508759*^9, {3.496258387412875*^9, 
   3.496258396245454*^9}, {3.496258445395712*^9, 3.496258455670495*^9}, 
   3.496777202793103*^9, 3.496793930360931*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"type4aSub", "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.496258459271606*^9, 3.496258480035681*^9}, 
   3.4967772071175213`*^9, 3.496793930361709*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x11", " ", "x12"}], "+", 
    RowBox[{"x21", " ", "x22"}], "+", 
    RowBox[{"x31", " ", "x32"}], "+", 
    RowBox[{"x41", " ", "x42"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x13", " ", "x14"}], "+", 
    RowBox[{"x23", " ", "x24"}], "+", 
    RowBox[{"x33", " ", "x34"}], "+", 
    RowBox[{"x43", " ", "x44"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.497271429345807*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"type4a", "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.496258484853138*^9, 3.496258495070281*^9}, 
   3.496793930363309*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x11", " ", "x12"}], "+", 
    RowBox[{"x21", " ", "x22"}], "+", 
    RowBox[{"x31", " ", "x32"}], "+", 
    RowBox[{"x41", " ", "x42"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x13", " ", "x14"}], "+", 
    RowBox[{"x23", " ", "x24"}], "+", 
    RowBox[{"x33", " ", "x34"}], "+", 
    RowBox[{"x43", " ", "x44"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.497271429402831*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"type4bSub", " ", "=", 
    RowBox[{"Transpose", "[", 
     RowBox[{
      RowBox[{"Outer", "[", 
       RowBox[{"Times", ",", 
        RowBox[{"Inner", "[", 
         RowBox[{"Times", ",", 
          RowBox[{"Inner", "[", 
           RowBox[{"Times", ",", 
            RowBox[{
             RowBox[{"Outer", "[", 
              RowBox[{"Times", ",", "onesqq", ",", "eyedd"}], "]"}], " ", 
             RowBox[{"Transpose", "[", 
              RowBox[{
               RowBox[{"Outer", "[", 
                RowBox[{"Times", ",", "x", ",", "x"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "}"}]}], "]"}]}],
             ",", "onesd", ",", "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], 
         "]"}], ",", 
        RowBox[{"Inner", "[", 
         RowBox[{"Times", ",", 
          RowBox[{"Inner", "[", 
           RowBox[{"Times", ",", 
            RowBox[{
             RowBox[{"Outer", "[", 
              RowBox[{"Times", ",", "onesqq", ",", "eyedd"}], "]"}], " ", 
             RowBox[{"Transpose", "[", 
              RowBox[{
               RowBox[{"Outer", "[", 
                RowBox[{"Times", ",", "x", ",", "x"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "}"}]}], "]"}]}],
             ",", "onesd", ",", "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], 
         "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "3", ",", "2", ",", "4"}], "}"}]}], "]"}]}], ";"}], 
  " "}]], "Input",
 CellChangeTimes->{{3.496777218888723*^9, 3.49677729172756*^9}, 
   3.496793930365189*^9, {3.4967940239990263`*^9, 3.496794025685749*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"type4bSub", "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.496777228973472*^9, 3.4967772951025257`*^9, 
  3.4967939303659763`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x11", " ", "x13"}], "+", 
    RowBox[{"x21", " ", "x23"}], "+", 
    RowBox[{"x31", " ", "x33"}], "+", 
    RowBox[{"x41", " ", "x43"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x12", " ", "x14"}], "+", 
    RowBox[{"x22", " ", "x24"}], "+", 
    RowBox[{"x32", " ", "x34"}], "+", 
    RowBox[{"x42", " ", "x44"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.497271429477601*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"type4b", "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.4962585088448887`*^9, 3.4967939303675823`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x11", " ", "x13"}], "+", 
    RowBox[{"x21", " ", "x23"}], "+", 
    RowBox[{"x31", " ", "x33"}], "+", 
    RowBox[{"x41", " ", "x43"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x12", " ", "x14"}], "+", 
    RowBox[{"x22", " ", "x24"}], "+", 
    RowBox[{"x32", " ", "x34"}], "+", 
    RowBox[{"x42", " ", "x44"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.4972714295357018`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"type4cSub", " ", "=", 
    RowBox[{"Transpose", "[", 
     RowBox[{
      RowBox[{"Outer", "[", 
       RowBox[{"Times", ",", 
        RowBox[{"Inner", "[", 
         RowBox[{"Times", ",", 
          RowBox[{"Inner", "[", 
           RowBox[{"Times", ",", 
            RowBox[{
             RowBox[{"Outer", "[", 
              RowBox[{"Times", ",", "onesqq", ",", "eyedd"}], "]"}], " ", 
             RowBox[{"Transpose", "[", 
              RowBox[{
               RowBox[{"Outer", "[", 
                RowBox[{"Times", ",", "x", ",", "x"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "}"}]}], "]"}]}],
             ",", "onesd", ",", "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], 
         "]"}], ",", 
        RowBox[{"Inner", "[", 
         RowBox[{"Times", ",", 
          RowBox[{"Inner", "[", 
           RowBox[{"Times", ",", 
            RowBox[{
             RowBox[{"Outer", "[", 
              RowBox[{"Times", ",", "onesqq", ",", "eyedd"}], "]"}], " ", 
             RowBox[{"Transpose", "[", 
              RowBox[{
               RowBox[{"Outer", "[", 
                RowBox[{"Times", ",", "x", ",", "x"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "}"}]}], "]"}]}],
             ",", "onesd", ",", "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], 
         "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "4", ",", "2", ",", "3"}], "}"}]}], "]"}]}], ";"}], 
  " "}]], "Input",
 CellChangeTimes->{{3.496777311240658*^9, 3.4967773798810863`*^9}, 
   3.4967939303695087`*^9, {3.4967940566462507`*^9, 3.496794058629146*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"type4cSub", "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.496777329854558*^9, 3.496793930370289*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x12", " ", "x13"}], "+", 
    RowBox[{"x22", " ", "x23"}], "+", 
    RowBox[{"x32", " ", "x33"}], "+", 
    RowBox[{"x42", " ", "x43"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x11", " ", "x14"}], "+", 
    RowBox[{"x21", " ", "x24"}], "+", 
    RowBox[{"x31", " ", "x34"}], "+", 
    RowBox[{"x41", " ", "x44"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.497271429610025*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"type4c", "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.496258517517027*^9, 3.4967939303719397`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x12", " ", "x13"}], "+", 
    RowBox[{"x22", " ", "x23"}], "+", 
    RowBox[{"x32", " ", "x33"}], "+", 
    RowBox[{"x42", " ", "x43"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x11", " ", "x14"}], "+", 
    RowBox[{"x21", " ", "x24"}], "+", 
    RowBox[{"x31", " ", "x34"}], "+", 
    RowBox[{"x41", " ", "x44"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.4972714296685133`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"type5", " ", "=", "  ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"onesd", ".", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"a", "[", "i1", "]"}], " ", 
        RowBox[{"b", "[", "i2", "]"}], " ", 
        RowBox[{"c", "[", "i3", "]"}], " ", 
        RowBox[{"d", "[", "i4", "]"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i1", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i2", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i3", ",", "1", ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i4", ",", "1", ",", "q"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4962422195246572`*^9, 3.496242225482294*^9}, {
   3.4962527284591722`*^9, 3.49625273180249*^9}, 3.496254971731221*^9, 
   3.4967939303764133`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"type5Sub", " ", "=", " ", 
    RowBox[{"Inner", "[", 
     RowBox[{"Times", ",", 
      RowBox[{"Inner", "[", 
       RowBox[{"Times", ",", 
        RowBox[{"Inner", "[", 
         RowBox[{"Times", ",", 
          RowBox[{"Inner", "[", 
           RowBox[{"Times", ",", 
            RowBox[{
             RowBox[{"Outer", "[", 
              RowBox[{"Times", ",", " ", "onesqqqq", ",", " ", "eyedddd"}], 
              "]"}], " ", 
             RowBox[{"Transpose", "[", 
              RowBox[{
               RowBox[{"Outer", "[", 
                RowBox[{"Times", ",", "x", ",", "x", ",", "x", ",", "x"}], 
                "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                "5", ",", "1", ",", "6", ",", "2", ",", "7", ",", "3", ",", 
                 "8", ",", "4"}], "}"}]}], "]"}]}], ",", "onesd", ",", 
            "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], "]"}], ",", "onesd",
         ",", "Plus"}], "]"}], ",", "onesd", ",", "Plus"}], "]"}]}], ";"}], 
  " "}]], "Input",
 CellChangeTimes->{{3.496242240447994*^9, 3.496242243553092*^9}, {
   3.496242285753624*^9, 3.496242430534112*^9}, {3.496243400074876*^9, 
   3.49624341513588*^9}, {3.4962444525874434`*^9, 3.4962444663452253`*^9}, 
   3.496254974082395*^9, {3.49625670937335*^9, 3.4962567109554443`*^9}, 
   3.496793930377358*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"type5Sub", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{{3.496252781226507*^9, 3.4962527869132357`*^9}, {
   3.496252856139614*^9, 3.4962528701168127`*^9}, 3.496256783371567*^9, 
   3.4967939303781548`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"x11", " ", "x12", " ", "x13", " ", "x14"}], "+", 
  RowBox[{"x21", " ", "x22", " ", "x23", " ", "x24"}], "+", 
  RowBox[{"x31", " ", "x32", " ", "x33", " ", "x34"}], "+", 
  RowBox[{"x41", " ", "x42", " ", "x43", " ", "x44"}]}]], "Output",
 CellChangeTimes->{3.497271430690501*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"type5", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{{3.49625279481775*^9, 3.496252797673338*^9}, {
   3.496252859322373*^9, 3.496252874377986*^9}, 3.496256787427617*^9, 
   3.496793930379786*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"x11", " ", "x12", " ", "x13", " ", "x14"}], "+", 
  RowBox[{"x21", " ", "x22", " ", "x23", " ", "x24"}], "+", 
  RowBox[{"x31", " ", "x32", " ", "x33", " ", "x34"}], "+", 
  RowBox[{"x41", " ", "x42", " ", "x43", " ", "x44"}]}]], "Output",
 CellChangeTimes->{3.497271430747033*^9}]
}, Open  ]],

Cell["\<\
and here's an alternative \"levelspec\" way of doing this final term\
\>", "Text",
 CellChangeTimes->{{3.496777506399259*^9, 3.4967775282861233`*^9}, 
   3.496793930381402*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"type5Sub", "==", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Inner", "[", 
    RowBox[{"Times", ",", 
     RowBox[{"Outer", "[", 
      RowBox[{"Times", ",", 
       RowBox[{"Transpose", "[", "x", "]"}], ",", 
       RowBox[{"Transpose", "[", "x", "]"}], ",", 
       RowBox[{"Transpose", "[", "x", "]"}], ",", 
       RowBox[{"Transpose", "[", "x", "]"}], ",", "1"}], "]"}], ",", "onesd", 
     ",", "Plus"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.496335722164171*^9, 3.496335742577723*^9}, {
   3.496335779659706*^9, 3.496335973765705*^9}, 3.496793930381702*^9}],

Cell[BoxData["True"], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.496335976021287*^9, 3.496793246493763*^9, 
  3.4967939303824587`*^9, 3.4967940844413652`*^9, 3.4972713703392563`*^9}],

Cell[BoxData["True"], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.496335976021287*^9, 3.496793246493763*^9, 
  3.4967939303824587`*^9, 3.4967940844413652`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"c8a", " ", "=", " ", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Outer", "[", 
    RowBox[{"Times", ",", 
     RowBox[{"Inner", "[", 
      RowBox[{"Times", ",", 
       RowBox[{"Outer", "[", 
        RowBox[{"Times", ",", " ", 
         RowBox[{"Transpose", "[", "x", "]"}], ",", 
         RowBox[{"Transpose", "[", "x", "]"}], ",", "1"}], "]"}], ",", 
       "onesd", ",", "Plus"}], "]"}], ",", 
     RowBox[{"Inner", "[", 
      RowBox[{"Times", ",", 
       RowBox[{"Outer", "[", 
        RowBox[{"Times", ",", " ", 
         RowBox[{"Transpose", "[", "x", "]"}], ",", 
         RowBox[{"Transpose", "[", "x", "]"}], ",", "1"}], "]"}], ",", 
       "onesd", ",", "Plus"}], "]"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4972715427846622`*^9, 3.497271595698968*^9}, {
  3.497271681007025*^9, 3.497271755645762*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   PanelBox[GridBox[{
      {
       StyleBox[
        StyleBox[
         DynamicBox[ToBoxes[
           FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
           StandardForm],
          ImageSizeCache->{278., {2., 8.}}],
         StripOnInput->False,
         DynamicUpdating->True], "Panel",
        StripOnInput->False,
        Background->None]},
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], "}"}], ",", 
           
           RowBox[{"\[LeftSkeleton]", "3", "\[RightSkeleton]"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], "}"}]}], 
          "}"}],
         Short[#, 5]& ],
        Background->GrayLevel[1],
        BaseStyle->{Deployed -> False},
        Frame->True,
        FrameStyle->GrayLevel[0, 0.2],
        StripOnInput->False]},
      {
       RowBox[{
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
             StandardForm],
            ImageSizeCache->{49., {1., 8.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>OutputSizeLimit`ButtonFunction[
          Identity, 71, 22919597388972469106, 5/2],
         Enabled->True,
         Evaluator->Automatic,
         Method->"Queued"], "\[ThinSpace]", 
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
             StandardForm],
            ImageSizeCache->{52., {1., 8.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>OutputSizeLimit`ButtonFunction[
          Identity, 71, 22919597388972469106, 5 2],
         Enabled->True,
         Evaluator->Automatic,
         Method->"Queued"], "\[ThinSpace]", 
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
             StandardForm],
            ImageSizeCache->{82., {2., 8.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>OutputSizeLimit`ButtonFunction[
          Identity, 71, 22919597388972469106, Infinity],
         Enabled->True,
         Evaluator->Automatic,
         Method->"Queued"], "\[ThinSpace]", 
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
             StandardForm],
            ImageSizeCache->{74., {1., 8.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>FrontEndExecute[{
            FrontEnd`SetOptions[
            FrontEnd`$FrontEnd, 
             FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
            FrontEnd`FrontEndToken["PreferencesDialog"]}],
         Evaluator->None,
         Method->"Preemptive"]}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[1.2]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    DefaultBaseStyle->{},
    FrameMargins->5],
   Deploy,
   DefaultBaseStyle->{Deployed -> True}],
  Out[71]]], "Output",
 CellChangeTimes->{{3.4972715848117037`*^9, 3.497271596130589*^9}, {
  3.497271721684083*^9, 3.497271756314413*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"c8b", " ", "=", " ", 
  RowBox[{"Outer", "[", 
   RowBox[{"Times", ",", 
    RowBox[{
     RowBox[{"Transpose", "[", "x", "]"}], ".", "x"}], ",", 
    RowBox[{
     RowBox[{"Transpose", "[", "x", "]"}], ".", "x"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.497271761476301*^9, 3.49727179484536*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   PanelBox[GridBox[{
      {
       StyleBox[
        StyleBox[
         DynamicBox[ToBoxes[
           FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
           StandardForm],
          ImageSizeCache->{278., {2., 8.}}],
         StripOnInput->False,
         DynamicUpdating->True], "Panel",
        StripOnInput->False,
        Background->None]},
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], "}"}], ",", 
           
           RowBox[{"\[LeftSkeleton]", "3", "\[RightSkeleton]"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], "}"}]}], 
          "}"}],
         Short[#, 5]& ],
        Background->GrayLevel[1],
        BaseStyle->{Deployed -> False},
        Frame->True,
        FrameStyle->GrayLevel[0, 0.2],
        StripOnInput->False]},
      {
       RowBox[{
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
             StandardForm],
            ImageSizeCache->{49., {1., 8.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>OutputSizeLimit`ButtonFunction[
          Identity, 72, 22919597388972469106, 5/2],
         Enabled->True,
         Evaluator->Automatic,
         Method->"Queued"], "\[ThinSpace]", 
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
             StandardForm],
            ImageSizeCache->{52., {1., 8.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>OutputSizeLimit`ButtonFunction[
          Identity, 72, 22919597388972469106, 5 2],
         Enabled->True,
         Evaluator->Automatic,
         Method->"Queued"], "\[ThinSpace]", 
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
             StandardForm],
            ImageSizeCache->{82., {2., 8.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>OutputSizeLimit`ButtonFunction[
          Identity, 72, 22919597388972469106, Infinity],
         Enabled->True,
         Evaluator->Automatic,
         Method->"Queued"], "\[ThinSpace]", 
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
             StandardForm],
            ImageSizeCache->{74., {1., 8.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>FrontEndExecute[{
            FrontEnd`SetOptions[
            FrontEnd`$FrontEnd, 
             FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
            FrontEnd`FrontEndToken["PreferencesDialog"]}],
         Evaluator->None,
         Method->"Preemptive"]}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[1.2]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    DefaultBaseStyle->{},
    FrameMargins->5],
   Deploy,
   DefaultBaseStyle->{Deployed -> True}],
  Out[72]]], "Output",
 CellChangeTimes->{3.497271798623557*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"c8a", "\[Equal]", "c8b"}]], "Input",
 CellChangeTimes->{{3.497271801017899*^9, 3.4972718142129297`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.49727180613762*^9, 3.497271815184931*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dimensions", "[", "type5", "]"}]], "Input",
 CellChangeTimes->{{3.497271613219637*^9, 3.497271623867034*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"5", ",", "5", ",", "5", ",", "5"}], "}"}]], "Output",
 CellChangeTimes->{3.497271624398959*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1856, 1145},
WindowMargins->{{6, Automatic}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 23, \
2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 375, 7, 89, "Section"],
Cell[CellGroupData[{
Cell[945, 31, 222, 3, 37, "Section"],
Cell[1170, 36, 893, 22, 27, "Input"],
Cell[CellGroupData[{
Cell[2088, 62, 279, 4, 27, "Input"],
Cell[2370, 68, 787, 20, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3194, 93, 4850, 131, 148, "Input"],
Cell[8047, 226, 207, 5, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8291, 236, 633, 14, 27, "Input"],
Cell[8927, 252, 183, 5, 27, "Output"]
}, Open  ]],
Cell[9125, 260, 1240, 29, 27, "Input"],
Cell[10368, 291, 660, 22, 27, "Input"],
Cell[11031, 315, 5778, 164, 73, "Input"],
Cell[CellGroupData[{
Cell[16834, 483, 157, 3, 27, "Input"],
Cell[16994, 488, 97, 1, 27, "Output"]
}, Open  ]],
Cell[17106, 492, 335, 6, 26, "Text"],
Cell[17444, 500, 989, 27, 27, "Input"],
Cell[18436, 529, 144, 2, 26, "Text"],
Cell[CellGroupData[{
Cell[18605, 535, 269, 5, 27, "Input"],
Cell[18877, 542, 788, 17, 27, "Output"]
}, Open  ]],
Cell[19680, 562, 555, 15, 27, "Input"],
Cell[CellGroupData[{
Cell[20260, 581, 166, 3, 27, "Input"],
Cell[20429, 586, 495, 9, 27, "Output"]
}, Open  ]],
Cell[20939, 598, 208, 2, 26, "Text"],
Cell[CellGroupData[{
Cell[21172, 604, 222, 5, 27, "Input"],
Cell[21397, 611, 763, 16, 27, "Output"]
}, Open  ]],
Cell[22175, 630, 271, 5, 26, "Text"],
Cell[CellGroupData[{
Cell[22471, 639, 161, 3, 27, "Input"],
Cell[22635, 644, 427, 7, 27, "Output"]
}, Open  ]],
Cell[23077, 654, 243, 3, 26, "Text"],
Cell[23323, 659, 4864, 146, 103, "Input"],
Cell[28190, 807, 267, 4, 26, "Text"],
Cell[28460, 813, 1724, 37, 27, "Input"],
Cell[CellGroupData[{
Cell[30209, 854, 464, 9, 27, "Input"],
Cell[30676, 865, 1043, 22, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31756, 892, 214, 6, 27, "Input"],
Cell[31973, 900, 804, 19, 27, "Output"]
}, Open  ]],
Cell[32792, 922, 1231, 31, 27, "Input"],
Cell[CellGroupData[{
Cell[34048, 957, 236, 6, 27, "Input"],
Cell[34287, 965, 581, 15, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34905, 985, 216, 6, 27, "Input"],
Cell[35124, 993, 558, 15, 27, "Output"]
}, Open  ]],
Cell[35697, 1011, 1281, 31, 27, "Input"],
Cell[CellGroupData[{
Cell[37003, 1046, 236, 6, 27, "Input"],
Cell[37242, 1054, 629, 16, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37908, 1075, 216, 6, 27, "Input"],
Cell[38127, 1083, 556, 15, 27, "Output"]
}, Open  ]],
Cell[38698, 1101, 1277, 31, 27, "Input"],
Cell[CellGroupData[{
Cell[40000, 1136, 235, 6, 27, "Input"],
Cell[40238, 1144, 575, 15, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40850, 1164, 213, 6, 27, "Input"],
Cell[41066, 1172, 553, 15, 27, "Output"]
}, Open  ]],
Cell[41634, 1190, 1277, 31, 27, "Input"],
Cell[CellGroupData[{
Cell[42936, 1225, 238, 6, 27, "Input"],
Cell[43177, 1233, 578, 15, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43792, 1253, 382, 8, 27, "Input"],
Cell[44177, 1263, 891, 20, 27, "Output"]
}, Open  ]],
Cell[45083, 1286, 1304, 32, 27, "Input"],
Cell[CellGroupData[{
Cell[46412, 1322, 238, 6, 27, "Input"],
Cell[46653, 1330, 636, 17, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[47326, 1352, 382, 8, 27, "Input"],
Cell[47711, 1362, 866, 20, 27, "Output"]
}, Open  ]],
Cell[48592, 1385, 3168, 93, 73, "Input"],
Cell[51763, 1480, 1337, 31, 27, "Input"],
Cell[CellGroupData[{
Cell[53125, 1515, 359, 8, 27, "Input"],
Cell[53487, 1525, 747, 17, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[54271, 1547, 263, 5, 27, "Input"],
Cell[54537, 1554, 737, 16, 27, "Output"]
}, Open  ]],
Cell[55289, 1573, 1499, 36, 27, "Input"],
Cell[CellGroupData[{
Cell[56813, 1613, 286, 7, 27, "Input"],
Cell[57102, 1622, 590, 14, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[57729, 1641, 218, 5, 27, "Input"],
Cell[57950, 1648, 544, 13, 27, "Output"]
}, Open  ]],
Cell[58509, 1664, 1456, 36, 27, "Input"],
Cell[CellGroupData[{
Cell[59990, 1704, 263, 7, 27, "Input"],
Cell[60256, 1713, 622, 14, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[60915, 1732, 218, 5, 27, "Input"],
Cell[61136, 1739, 594, 14, 27, "Output"]
}, Open  ]],
Cell[61745, 1756, 1507, 36, 27, "Input"],
Cell[CellGroupData[{
Cell[63277, 1796, 236, 6, 27, "Input"],
Cell[63516, 1804, 616, 14, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[64169, 1823, 289, 8, 27, "Input"],
Cell[64461, 1833, 566, 14, 27, "Output"]
}, Open  ]],
Cell[65042, 1850, 2129, 62, 58, "Input"],
Cell[67174, 1914, 1711, 40, 43, "Input"],
Cell[CellGroupData[{
Cell[68910, 1958, 245, 5, 27, "Input"],
Cell[69158, 1965, 458, 14, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[69653, 1984, 218, 5, 27, "Input"],
Cell[69874, 1991, 458, 14, 27, "Output"]
}, Open  ]],
Cell[70347, 2008, 1718, 42, 43, "Input"],
Cell[CellGroupData[{
Cell[72090, 2054, 222, 5, 27, "Input"],
Cell[72315, 2061, 458, 14, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[72810, 2080, 194, 4, 27, "Input"],
Cell[73007, 2086, 460, 14, 27, "Output"]
}, Open  ]],
Cell[73482, 2103, 1723, 42, 43, "Input"],
Cell[CellGroupData[{
Cell[75230, 2149, 193, 4, 27, "Input"],
Cell[75426, 2155, 458, 14, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[75921, 2174, 192, 4, 27, "Input"],
Cell[76116, 2180, 460, 14, 27, "Output"]
}, Open  ]],
Cell[76591, 2197, 840, 22, 27, "Input"],
Cell[77434, 2221, 1376, 32, 27, "Input"],
Cell[CellGroupData[{
Cell[78835, 2257, 341, 8, 27, "Input"],
Cell[79179, 2267, 316, 6, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[79532, 2278, 331, 8, 27, "Input"],
Cell[79866, 2288, 316, 6, 27, "Output"]
}, Open  ]],
Cell[80197, 2297, 186, 4, 26, "Text"],
Cell[CellGroupData[{
Cell[80408, 2305, 599, 13, 27, "Input"],
Cell[81010, 2320, 220, 4, 27, "Output"],
Cell[81233, 2326, 196, 4, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[81466, 2335, 853, 20, 27, "Input"],
Cell[82322, 2357, 4483, 128, 107, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[86842, 2490, 324, 8, 27, "Input"],
Cell[87169, 2500, 4408, 127, 107, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[91614, 2632, 128, 2, 27, "Input"],
Cell[91745, 2636, 96, 1, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[91878, 2642, 133, 2, 27, "Input"],
Cell[92014, 2646, 135, 3, 27, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
